## clonezilla-live-src-20150617-wily-i386.ubuntu.tar.gz

=== Makefile ===

# FIXME: Lots of C&P of VERSION ... 
#   ustr*.pc, ustr.spec, Documentation/*.pl, Documentation/ustr-import.1,
#   ./scripts/rpms-create-james.sh
VERS=1.0
VERS_FULL=$(VERS).4
VERS_BSO =1.0
VERS_ESONAME =1
VERS_ESO     =$(VERS_ESONAME).0.4

DESTDIR =
prefix=/usr
datadir=$(prefix)/share
libdir=$(prefix)/lib
libexecdir=$(prefix)/libexec
bindir=$(prefix)/bin
includedir=$(prefix)/include
SHRDIR=$(datadir)/ustr-$(VERS_FULL)
DOCSHRDIR=$(datadir)/doc/ustr-devel-$(VERS_FULL)
EXAMDIR=$(SHRDIR)/examples
mandir=$(datadir)/doc/man
MBINDIR=$(libexecdir)/ustr-$(VERS_FULL)

###############################################################################
#  This is here to work around the "Fedora build system requirement" that a big
# pile of crap ends up in the build.log file even though all sane people don't
# want that. See rhbz#248231
###############################################################################
HIDE=@

CC = cc
AR = ar
RANLIB = ranlib
LDCONFIG = /sbin/ldconfig

CFLAGS  = -O2 -g

# Debug versions...
WARNS = -W -Wall -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wno-format-zero-length -Wformat-nonliteral -Wformat-security # -Wfloat-equal -- no floats
#  Fedora policies/"reviewers" are completely retarded and refuse to allow
# lowering the "Fedora build flags" even when it activley hurts their users,
# this makes it easier for them to hurt you. Welcome to the lowest common
# denominator collective.
DBG_ONLY_BAD_POLICIES_HAVE_THIS_EMPTY_CFLAGS=-O1
DBG_CFLAGS = $(CFLAGS) $(WARNS) $(DBG_ONLY_BAD_POLICIES_HAVE_THIS_EMPTY_CFLAGS)

# Inline tst_*.c and otst_*.c files.
CFLG_TST =

CFLG_TST_C = $(CFLG_TST) \
             -DUSTR_CONF_INCLUDE_CODEONLY_HEADERS=1 -DUSTR_CONF_REF_BYTES=4

# Optimized o*.c files
CFLG_TST_O  = -DUSTR_DEBUG=0 $(CFLG_TST)
CFLG_TST_CO = -DUSTR_DEBUG=0 $(CFLG_TST_C)

# fread64/etc.
CFLG_LIB = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

CFLG_LIB_OPT = $(CFLG_LIB) -DNDEBUG
CFLG_LIB_DBG = $(CFLG_LIB)

DOCS = README-DEVELOPERS TODO \
       Documentation/strdup\ vs.\ ustr.gnumeric \
       Documentation/index.html \
       Documentation/functions.html \
       Documentation/constants.html \
       Documentation/design.html \
       Documentation/tutorial.html

MAN_PAGES_1 = \
       Documentation/ustr-import.1

MAN_PAGES_3 = \
       Documentation/ustr.3 \
       Documentation/ustr_const.3

EXAMPLES = examples/Makefile \
       examples/basename.c \
       examples/custr.c \
       examples/dirname.c \
       examples/fgrep.c \
       examples/hello_world.c \
       examples/hexdump.c \
       examples/linecat.c \
       examples/mkdir_p.c \
       examples/netstr.c \
       examples/nums.c \
       examples/txt2html.c

#  Some versions of GCC really don't like all the includes with inline stuff.
# so we allow the library only to be checked. This is _bad_ for a release as
# it basically means ustr-import usage (without -c) will kill GCC too.
TST_STATIC_ALL =  tst_0_sizes  tst_0_manual   \
          otst_0_sizes otst_0_manual \
           tst_0_nothing \
          otst_0_nothing \
           tst_1_basic \
          otst_1_basic \
           tst_2_small \
          otst_2_small \
           tst_3_medium \
          otst_3_medium \
           tst_4_grow \
          otst_4_grow \
           tst_5_shrink \
          otst_5_shrink \
           tst_6_tiny \
          otst_6_tiny \
           tst_7_auto \
          otst_7_auto \
           tst_8_spn \
          otst_8_spn \
           tst_9_ins \
          otst_9_ins \
           tst_10_b  \
          otst_10_b  \
           tst_11_io \
          otst_11_io \
           tst_12_fmt \
          otst_12_fmt \
           tst_13_utf8 \
          otst_13_utf8 \
           tst_14_cmp  \
          otst_14_cmp  \
           tst_15_trim \
          otst_15_trim \
           tst_16_parse \
          otst_16_parse \
           tst_17_sub   \
          otst_17_sub   \
           tst_18_split \
          otst_18_split \
           tst_19_concat \
          otst_19_concat \
           tst_19_join \
          otst_19_join \
           tst_98_pool  \
          otst_98_pool  \
           tst_99_enomem \
          otst_99_enomem \
           tst_99_64bit  \
          otst_99_64bit

TST_ALL =  ctst_0_cntl \
          octst_0_cntl \
           ctst_0_nothing \
          octst_0_nothing \
           ctst_3_medium \
          octst_3_medium \
           ctst_4_grow \
          octst_4_grow \
           ctst_5_shrink \
          octst_5_shrink \
           ctst_7_auto \
          octst_7_auto \
           ctst_8_spn \
          octst_8_spn \
           ctst_9_ins \
          octst_9_ins \
           ctst_10_b \
          octst_10_b \
           ctst_11_io \
          octst_11_io \
           ctst_12_fmt \
          octst_12_fmt \
           ctst_13_utf8 \
          octst_13_utf8 \
           ctst_14_cmp \
          octst_14_cmp \
           ctst_15_trim \
          octst_15_trim \
           ctst_16_parse \
          octst_16_parse \
           ctst_17_sub \
          octst_17_sub \
           ctst_18_split \
          octst_18_split \
           ctst_19_concat \
          octst_19_concat \
           ctst_19_join \
          octst_19_join \
           ctst_98_pool \
          octst_98_pool \
           ctst_99_enomem \
          octst_99_enomem \
           ctst_99_64bit \
          octst_99_64bit \
          $(TST_STATIC_ALL)
XFAIL_TESTS = 

SRC_HDRS = ustr.h      ustr-debug.h \
           ustr-conf.h ustr-conf-debug.h \
           ustr-b.h \
           ustr-cmp.h \
           ustr-cntl.h \
           ustr-compiler.h \
           ustr-fmt.h \
           ustr-io.h \
           ustr-ins.h \
           ustr-main.h \
           ustr-parse.h \
           ustr-pool.h \
           ustr-replace.h \
           ustr-sc.h \
           ustr-set.h \
           ustr-split.h \
           ustr-spn.h \
           ustr-srch.h \
           ustr-sub.h \
           ustr-utf8.h

SRC_HDRS_MULTI_LIB = \
           ustr-conf-multilib-linux.h ustr-conf-debug-multilib-linux.h \

SRC_SRCS_H = malloc-check.h \
             ustr-b-code.h \
             ustr-cmp-code.h \
             ustr-cmp-internal.h \
             ustr-cntl-code.h \
             ustr-fmt-code.h \
             ustr-fmt-internal.h \
             ustr-io-code.h \
             ustr-io-internal.h \
             ustr-ins-code.h \
             ustr-ins-internal.h \
             ustr-main-code.h \
             ustr-main-internal.h \
             ustr-parse-code.h \
             ustr-pool-code.h \
             ustr-replace-code.h \
             ustr-replace-internal.h \
             ustr-sc-code.h \
             ustr-sc-internal.h \
             ustr-set-code.h \
             ustr-set-internal.h \
             ustr-split-code.h \
             ustr-split-internal.h \
             ustr-spn-code.h \
             ustr-srch-code.h \
             ustr-srch-internal.h \
             ustr-sub-code.h \
             ustr-sub-internal.h \
             ustr-utf8-code.h \
             ustr-utf8-internal.h

SRC_SRCS_C = ustr-b-dbg-code.c \
             ustr-cmp-dbg-code.c \
             ustr-fmt-dbg-code.c \
             ustr-io-dbg-code.c \
             ustr-ins-dbg-code.c \
             ustr-main-dbg-code.c \
             ustr-parse-dbg-code.c \
             ustr-pool-dbg-code.c \
             ustr-replace-dbg-code.c \
             ustr-sc-dbg-code.c \
             ustr-set-dbg-code.c \
             ustr-split-dbg-code.c \
             ustr-spn-dbg-code.c \
             ustr-srch-dbg-code.c \
             ustr-sub-dbg-code.c \
             ustr-utf8-dbg-code.c \
             \
             ustr-b-opt-code.c \
             ustr-cmp-opt-code.c \
             ustr-fmt-opt-code.c \
             ustr-io-opt-code.c \
             ustr-ins-opt-code.c \
             ustr-main-opt-code.c \
             ustr-parse-opt-code.c \
             ustr-pool-opt-code.c \
             ustr-replace-opt-code.c \
             ustr-sc-opt-code.c \
             ustr-set-opt-code.c \
             ustr-split-opt-code.c \
             ustr-spn-opt-code.c \
             ustr-srch-opt-code.c \
             ustr-sub-opt-code.c \
             ustr-utf8-opt-code.c

SRC_SRCS = $(SRC_SRCS_C) $(SRC_SRCS_H)
XSRC_SRCS = .gdbinit

DBG_LIB_SHAREDEV    = libustr-debug.so
DBG_LIB_SHARED_NAME = libustr-debug-$(VERS_BSO).so.$(VERS_ESONAME)
DBG_LIB_SHARED      = libustr-debug-$(VERS_BSO).so.$(VERS_ESO)
DBG_LIB_STATIC      = libustr-debug.a

OPT_LIB_SHAREDEV    = libustr.so
OPT_LIB_SHARED_NAME = libustr-$(VERS_BSO).so.$(VERS_ESONAME)
OPT_LIB_SHARED      = libustr-$(VERS_BSO).so.$(VERS_ESO)
OPT_LIB_STATIC      = libustr.a

LIB_SHARED = $(DBG_LIB_SHARED) $(OPT_LIB_SHARED)
LIB_STATIC = $(DBG_LIB_STATIC) $(OPT_LIB_STATIC)

DEPS_NONC_ALL  = $(SRC_HDRS) $(SRC_SRCS_H)
DEPS_C_ALL     = $(SRC_HDRS)
OBJS_C_DBG_ALL = $(DBG_LIB_STATIC)
OBJS_C_OPT_ALL = $(OPT_LIB_STATIC)

LIB_SHARED_DBG = \
  ustr-b-code-so-dbg.o \
  ustr-cmp-code-so-dbg.o \
  ustr-fmt-code-so-dbg.o \
  ustr-io-code-so-dbg.o \
  ustr-ins-code-so-dbg.o \
  ustr-main-code-so-dbg.o \
  ustr-parse-code-so-dbg.o \
  ustr-pool-code-so-dbg.o \
  ustr-replace-code-so-dbg.o \
  ustr-sc-code-so-dbg.o \
  ustr-set-code-so-dbg.o \
  ustr-split-code-so-dbg.o \
  ustr-spn-code-so-dbg.o \
  ustr-srch-code-so-dbg.o \
  ustr-sub-code-so-dbg.o \
  ustr-utf8-code-so-dbg.o
LIB_STATIC_DBG = \
  ustr-b-code-a-dbg.o \
  ustr-cmp-code-a-dbg.o \
  ustr-fmt-code-a-dbg.o \
  ustr-io-code-a-dbg.o \
  ustr-ins-code-a-dbg.o \
  ustr-main-code-a-dbg.o \
  ustr-parse-code-a-dbg.o \
  ustr-pool-code-a-dbg.o \
  ustr-replace-code-a-dbg.o \
  ustr-sc-code-a-dbg.o \
  ustr-set-code-a-dbg.o \
  ustr-split-code-a-dbg.o \
  ustr-spn-code-a-dbg.o \
  ustr-srch-code-a-dbg.o \
  ustr-sub-code-a-dbg.o \
  ustr-utf8-code-a-dbg.o

LIB_SHARED_OPT = \
  ustr-b-code-so-opt.o \
  ustr-cmp-code-so-opt.o \
  ustr-fmt-code-so-opt.o \
  ustr-io-code-so-opt.o \
  ustr-ins-code-so-opt.o \
  ustr-main-code-so-opt.o \
  ustr-parse-code-so-opt.o \
  ustr-pool-code-so-opt.o \
  ustr-replace-code-so-opt.o \
  ustr-sc-code-so-opt.o \
  ustr-set-code-so-opt.o \
  ustr-split-code-so-opt.o \
  ustr-spn-code-so-opt.o \
  ustr-srch-code-so-opt.o \
  ustr-sub-code-so-opt.o \
  ustr-utf8-code-so-opt.o
LIB_STATIC_OPT = \
  ustr-b-code-a-opt.o \
  ustr-cmp-code-a-opt.o \
  ustr-fmt-code-a-opt.o \
  ustr-io-code-a-opt.o \
  ustr-ins-code-a-opt.o \
  ustr-main-code-a-opt.o \
  ustr-parse-code-a-opt.o \
  ustr-pool-code-a-opt.o \
  ustr-replace-code-a-opt.o \
  ustr-sc-code-a-opt.o \
  ustr-set-code-a-opt.o \
  ustr-split-code-a-opt.o \
  ustr-spn-code-a-opt.o \
  ustr-srch-code-a-opt.o \
  ustr-sub-code-a-opt.o \
  ustr-utf8-code-a-opt.o


all: ustr-import $(LIB_STATIC)
		$(HIDE)echo Done static

all-shared: all $(LIB_SHARED)
		$(HIDE)echo Done shared

install: all-shared ustr.pc ustr-debug.pc
		$(HIDE)echo Making directories
		install -d $(DESTDIR)$(libdir)
		install -d $(DESTDIR)$(includedir)
		install -d $(DESTDIR)$(SHRDIR)
		install -d $(DESTDIR)$(DOCSHRDIR)
		install -d $(DESTDIR)$(EXAMDIR)
		install -d $(DESTDIR)$(mandir)/man1
		install -d $(DESTDIR)$(mandir)/man3
		install -d $(DESTDIR)$(bindir)
		install -d $(DESTDIR)$(libdir)/pkgconfig
		$(HIDE)echo Installing files
		install -m 644 -t $(DESTDIR)$(libdir) $(LIB_STATIC)
		install -m 755 -t $(DESTDIR)$(libdir) $(LIB_SHARED)
		-rm -f $(DESTDIR)$(libdir)/$(OPT_LIB_SHARED_NAME)
		ln -s $(OPT_LIB_SHARED) $(DESTDIR)$(libdir)/$(OPT_LIB_SHARED_NAME)
		-rm -f $(DESTDIR)$(libdir)/$(OPT_LIB_SHAREDEV)
		ln -s $(OPT_LIB_SHARED_NAME) $(DESTDIR)$(libdir)/$(OPT_LIB_SHAREDEV)
		-rm -f $(DESTDIR)$(libdir)/$(DBG_LIB_SHARED_NAME)
		ln -s $(DBG_LIB_SHARED) $(DESTDIR)$(libdir)/$(DBG_LIB_SHARED_NAME)
		-rm -f $(DESTDIR)$(libdir)/$(DBG_LIB_SHAREDEV)
		ln -s $(DBG_LIB_SHARED_NAME) $(DESTDIR)$(libdir)/$(DBG_LIB_SHAREDEV)
		$(LDCONFIG) -n $(DESTDIR)$(libdir)

=== SConstruct ===
#
#	SConstruct (10.09.09)
#	SConscript for all components.
#
#	Free exFAT implementation.
#	Copyright (C) 2010-2014  Andrew Nayenko
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License along
#	with this program; if not, write to the Free Software Foundation, Inc.,
#	51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

import os
import platform
import SCons

env = Environment(**ARGUMENTS)
for var in ['PATH', 'SYSROOT']:
	if var in os.environ:
		env['ENV'][var] = os.environ[var]

destdir = env.get('DESTDIR', '/sbin');
libs = ['exfat']
libfuse = 'fuse'

if not env.GetOption('clean'):
	conf = Configure(env)

	if 'AR' in os.environ:
		conf.env.Replace(AR = os.environ['AR'])
	if 'RANLIB' in os.environ:
		conf.env.Replace(RANLIB = os.environ['RANLIB'])
	if 'CC' in os.environ:
		conf.env.Replace(CC = os.environ['CC'])
	if 'CCFLAGS' in os.environ:
		conf.env.Replace(CCFLAGS = os.environ['CCFLAGS'])
	# Set default CCFLAGS for known compilers
	if not conf.env['CCFLAGS']:
		if conf.env['CC'] == 'gcc':
			conf.env.Replace(CCFLAGS = '-Wall -O2 -ggdb -std=c99')
		elif conf.env['CC'] == 'clang':
			conf.env.Replace(CCFLAGS = '-Wall -O2 -g -std=c99')
	if 'CPPFLAGS' in os.environ:
		conf.env.Replace(CPPFLAGS = os.environ['CPPFLAGS'])
	conf.env.Append(CPPDEFINES = {'_FILE_OFFSET_BITS' : 64})
	conf.env.Append(CPPPATH = ['libexfat'])
	if 'LDFLAGS' in os.environ:
		conf.env.Append(LINKFLAGS = os.environ['LDFLAGS'])
	conf.env.Append(LIBPATH = ['libexfat'])

	# GNU/Linux requires _BSD_SOURCE define for vsyslog(), _XOPEN_SOURCE >= 500
	# for pread(), pwrite(), snprintf(), strdup(), etc. Everything needed is
	# enabled by _GNU_SOURCE.
	if platform.system() == 'Linux':
		conf.env.Append(CPPDEFINES = '_GNU_SOURCE');

	# Use 64-bit inode numbers (introduced in Mac OS X 10.5 Leopard). Require
	# OSXFUSE (http://osxfuse.github.com).
	if platform.system() == 'Darwin':
		conf.env.Append(CPPDEFINES = '_DARWIN_USE_64_BIT_INODE')
		conf.env.Append(CPPDEFINES = {'__DARWIN_UNIX03' : 1})
		conf.env.Append(CPPPATH = ['/usr/local/include/osxfuse'])
		conf.env.Append(CFLAGS    = '-mmacosx-version-min=10.5')
		conf.env.Append(LINKFLAGS = '-mmacosx-version-min=10.5')
		libfuse = 'osxfuse_i64'

	# FreeBSD does not support block devices, only raw devices. Ublio is
	# required for unaligned I/O and caching.
	if platform.system() == 'FreeBSD':
		conf.env.Append(CPPDEFINES = 'USE_UBLIO')
		libs.append('ublio')
		conf.env.Append(CPPPATH = ['/usr/local/include'])
		conf.env.Append(LIBPATH = ['/usr/local/lib'])

	if not conf.CheckCC():
		print '''
	A working C compiler is needed very much.
'''
		Exit(1)

	if not conf.CheckTypeSize('off_t', '#include <sys/types.h>', 'C', 8):
		print '''
	The size of off_t type must be 64 bits. File systems larger than
	2 GB will be corrupted with 32-bit off_t.
'''
		Exit(1)

	env = conf.Finish()



def make_symlink(dir, target, link_name):
	workdir = os.getcwd()
	os.chdir(dir)
	try:
		os.remove(link_name)
	except OSError:
		pass
	os.symlink(target, link_name)
	os.chdir(workdir)

symlink = SCons.Action.ActionFactory(make_symlink,
		lambda dir, target, link_name:
				'make_symlink("%s", "%s", "%s")' % (dir, target, link_name))

def program(pattern, output, alias, libs):
	sources = Glob(pattern)
	if not sources:
		return
	target = env.Program(output, sources, LIBS = libs)
	if alias:
		Clean(Alias('install', Install(destdir, target),
				symlink(destdir, os.path.basename(output), alias)),
				destdir + '/' + alias)
	else:
		Alias('install', Install(destdir, target))

env.Library('libexfat/exfat', Glob('libexfat/*.c'))

program('fuse/*.c', 'fuse/mount.exfat-fuse', 'mount.exfat', [libs + [libfuse]])
program('dump/*.c', 'dump/dumpexfat', None, libs)
program('fsck/*.c', 'fsck/exfatfsck', 'fsck.exfat', libs)
program('mkfs/*.c', 'mkfs/mkexfatfs', 'mkfs.exfat', libs)
program('label/*.c', 'label/exfatlabel', None, libs)

=== bind/Makefile ===
#
# Copyright (C) 2009-2012  Internet Systems Consortium, Inc. ("ISC")
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES WITH
# REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT,
# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
# LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
# OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.

# $Id: Makefile.bind,v 1.8 2012/04/05 22:16:47 sar Exp $

# Configure and build the bind libraries for use by DHCP

include ./version.tmp
version=${MAJORVER}.${MINORVER}.${PATCHVER}${RELEASETYPE}${RELEASEVER}

# bindvar.tmp is constructed by configure, it has the paths for
# if GMAKE is blank the shell script couldn't find a gmake to use.
# binddir=
# GMAKE=
include ./bindvar.tmp

bindsrcdir=bind-${version}

all:
# Extract the source from the tarball, if it hasn't been already.
	@if test -d ${bindsrcdir} ; then                    \
		echo ${bindsrcdir} already unpacked... ;    \
	else                                                \
		gunzip -c bind.tar.gz | tar xf - ;          \
	fi

	@if test -z "${GMAKE}"; then                        \
		echo "unable to find gmake" 1>&2 ;          \
		exit 1;                                     \
	fi

# Configure the export libraries
# Currently disable the epoll and devpoll options as they don't interact
# well with the DHCP code.
# If the top-level Bind Makefile exists we skip the configuration step
# as we assume it's done and won't change.  Doing a make clean will
# reset things if necessary.
	@if test -f ${bindsrcdir}/Makefile ; then                  \
		echo Bind export libraries already configured ;    \
	else                                                       \
		echo Configuring BIND Export libraries for DHCP. ; \
		rm -rf ./lib ./include ./configure.log ./build.log ./install.log ; \
		(cd ${bindsrcdir} && ./configure --disable-kqueue --disable-epoll --disable-devpoll --without-openssl --without-libxml2 --enable-exportlib --enable-threads=no --with-export-includedir=${binddir}/include --with-export-libdir=${binddir}/lib --with-gssapi=no > ${binddir}/configure.log); \
	fi

# Build and install the export libraries
# No need to do anything if we already have something installed.
	@if test -d ${binddir}/lib ; then                                    \
		echo Bind export libraries already installed ;               \
	else                                                                 \
		echo Building BIND Export libraries - this takes some time. ;\
		(cd ${bindsrcdir}/lib/export ;                               \
		  echo building in `pwd` ;                                   \
		  MAKE=${GMAKE} ${GMAKE} > ${binddir}/build.log) ;           \
                                                                             \
		echo Installing BIND Export libraries to ${binddir}. ;       \
		(cd ${bindsrcdir}/lib/export ;                               \
		  MAKE=${GMAKE} ${GMAKE} install > ${binddir}/install.log) ; \
	fi

clean:
	@echo Cleaning BIND export library.
	rm -rf ${bindsrcdir} ./lib ./include ./configure.log ./build.log \
		./install.log

# Include the following so that this Makefile is happy when the parent
# tries to use them.

distdir:

distclean:

install:

check:

uninstall:

=== docs/Makefile ===
SRCDIR = .
TOPDIR = $(SRCDIR)/..

include $(TOPDIR)/Make.defaults

MAN1TARGETS = efivar.1
MAN3TARGETS = efi_append_variable.3 \
	     efi_del_variable.3 \
	     efi_get_next_variable_name.3 \
	     efi_get_variable.3 \
	     efi_get_variable_attributes.3 \
	     efi_get_variable_size.3 \
	     efi_guid_to_id_guid.3 \
	     efi_guid_to_name.3 \
	     efi_guid_to_str.3 \
	     efi_guid_to_symbol.3 \
	     efi_name_to_guid.3 \
	     efi_set_variable.3 \
	     efi_str_to_guid.3 \
	     efi_symbol_to_guid.3 \
	     efi_variables_supported.3 \
	     efi_variable_t.3 \
	     efi_variable_import.3 \
	     efi_variable_export.3 \
	     efi_variable_alloc.3 \
	     efi_variable_free.3 \
	     efi_variable_set_name.3 \
	     efi_variable_get_name.3 \
	     efi_variable_set_guid.3 \
	     efi_variable_get_guid.3 \
	     efi_variable_set_data.3 \
	     efi_variable_get_data.3 \
	     efi_variable_get_attributes.3 \
	     efi_variable_set_attributes.3 \
	     efi_variable_realize.3

all :

clean :

test :

install :
	$(INSTALL) -d -m 755 $(DESTDIR)$(mandir)/man1
	$(foreach x, $(MAN1TARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)/$(mandir)/man1/;)
	$(INSTALL) -d -m 755 $(DESTDIR)$(mandir)/man3
	$(foreach x, $(MAN3TARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)/$(mandir)/man3/;)

.PHONY: all clean install

include $(TOPDIR)/Make.rules

=== elf/Makefile ===
# Copyright (C) 1995-2015 Free Software Foundation, Inc.
# This file is part of the GNU C Library.

# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# The GNU C Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.

# Makefile for elf subdirectory of GNU C Library.

subdir		:= elf

include ../Makeconfig

headers		= elf.h bits/elfclass.h link.h bits/link.h
routines	= $(dl-routines) dl-support dl-iteratephdr \
		  dl-addr enbl-secure dl-profstub \
		  dl-origin dl-libc dl-sym dl-tsd dl-sysdep

# The core dynamic linking functions are in libc for the static and
# profiled libraries.
dl-routines	= $(addprefix dl-,load lookup object reloc deps hwcaps \
				  runtime error init fini debug misc \
				  version profile conflict tls origin scope \
				  execstack caller open close trampoline)
ifeq (yes,$(use-ldconfig))
dl-routines += dl-cache
endif
all-dl-routines = $(dl-routines) $(sysdep-dl-routines)
# But they are absent from the shared libc, because that code is in ld.so.
elide-routines.os = $(all-dl-routines) dl-support enbl-secure dl-origin \
		    dl-sysdep
shared-only-routines += dl-caller

# ld.so uses those routines, plus some special stuff for being the program
# interpreter and operating independent of libc.
rtld-routines	:= rtld $(dl-routines) dl-sysdep dl-environ dl-minimal
all-rtld-routines = $(rtld-routines) $(sysdep-rtld-routines)

CFLAGS-dl-runtime.c = -fexceptions -fasynchronous-unwind-tables
CFLAGS-dl-lookup.c = -fexceptions -fasynchronous-unwind-tables
CFLAGS-dl-iterate-phdr.c = $(uses-callbacks)

ifeq ($(unwind-find-fde),yes)
routines += unwind-dw2-fde-glibc
shared-only-routines += unwind-dw2-fde-glibc
endif

before-compile  += $(objpfx)trusted-dirs.h
generated	+= trusted-dirs.h trusted-dirs.st for-renamed/renamed.so
generated-dirs	+= for-renamed

ifeq ($(build-shared),yes)
ld-map		= $(common-objpfx)ld.map
endif

ifeq (yes,$(build-shared))
extra-objs	= $(all-rtld-routines:%=%.os) soinit.os sofini.os interp.os
generated	+= librtld.os dl-allobjs.os ld.so ldd
install-others	= $(inst_rtlddir)/$(rtld-installed-name)
install-bin-script = ldd
endif

others		= sprof sln
install-bin	= sprof
others-static   = sln
install-rootsbin = sln
sln-modules	:= static-stubs
extra-objs	+= $(sln-modules:=.o)

ifeq (yes,$(use-ldconfig))
ifeq (yes,$(build-shared))
others-static	+= ldconfig
others		+= ldconfig
install-rootsbin += ldconfig

ldconfig-modules := cache readlib xmalloc xstrdup chroot_canon static-stubs
extra-objs	+= $(ldconfig-modules:=.o)
endif
endif

# To find xmalloc.c and xstrdup.c
vpath %.c ../locale/programs

ifeq ($(build-shared),yes)
extra-objs += sotruss-lib.os sotruss-lib.so
install-others += $(inst_auditdir)/sotruss-lib.so
install-bin-script += sotruss
generated += sotruss
libof-sotruss-lib = extramodules
$(objpfx)sotruss-lib.so: $(objpfx)sotruss-lib.os
	$(build-module-asneeded)
$(objpfx)sotruss-lib.so: $(common-objpfx)libc.so $(objpfx)ld.so \
	$(common-objpfx)libc_nonshared.a

$(objpfx)sotruss: sotruss.sh $(common-objpfx)config.make
	sed -e 's%@BASH@%$(BASH)%g' \
	    -e 's%@VERSION@%$(version)%g' \
	    -e 's%@TEXTDOMAINDIR@%$(msgcatdir)%g' \
	    -e 's%@PREFIX@%$(prefix)%g' \
	    -e 's|@PKGVERSION@|$(PKGVERSION)|g' \
	    -e 's|@REPORT_BUGS_TO@|$(REPORT_BUGS_TO)|g' \
	    < $< > $@.new
	chmod 555 $@.new
	mv -f $@.new $@
$(inst_auditdir)/sotruss-lib.so: $(objpfx)sotruss-lib.so $(+force)
	$(do-install-program)
endif

tests = tst-tls1 tst-tls2 tst-tls9 tst-leaks1 \
	tst-array1 tst-array2 tst-array3 tst-array4 tst-array5 \
	tst-auxv
tests-static = tst-tls1-static tst-tls2-static tst-stackguard1-static \
	       tst-leaks1-static tst-array1-static tst-array5-static \
	       tst-ptrguard1-static tst-dl-iter-static
ifeq (yes,$(build-shared))
tests-static += tst-tls9-static
tst-tls9-static-ENV = \
       LD_LIBRARY_PATH=$(objpfx):$(common-objpfx):$(common-objpfx)dlfcn
endif
tests += $(tests-static)
ifeq (yes,$(build-shared))
tests += loadtest restest1 preloadtest loadfail multiload origtest resolvfail \
	 constload1 order vismain noload filter unload \
	 reldep reldep2 reldep3 reldep4 nodelete nodelete2 \
	 nodlopen nodlopen2 neededtest neededtest2 \
	 neededtest3 neededtest4 unload2 lateglobal initfirst global \
	 restest2 next dblload dblunload reldep5 reldep6 reldep7 reldep8 \
	 circleload1 tst-tls3 tst-tls4 tst-tls5 tst-tls6 tst-tls7 tst-tls8 \
	 tst-tls10 tst-tls11 tst-tls12 tst-tls13 tst-tls14 tst-tls15 \
	 tst-tls16 tst-tls17 tst-tls18 tst-tls19 tst-tls-dlinfo \
	 tst-align tst-align2 $(tests-execstack-$(have-z-execstack)) \
	 tst-dlmodcount tst-dlopenrpath tst-deep1 \
	 tst-dlmopen1 tst-dlmopen2 tst-dlmopen3 \
	 unload3 unload4 unload5 unload6 unload7 unload8 tst-global1 order2 \
	 tst-audit1 tst-audit2 tst-audit8 tst-audit9 \
	 tst-stackguard1 tst-addr1 tst-thrlock \
	 tst-unique1 tst-unique2 tst-unique3 tst-unique4 \
	 tst-initorder tst-initorder2 tst-relsort1 tst-null-argv \
	 tst-ptrguard1
#	 reldep9
ifeq ($(build-hardcoded-path-in-tests),yes)
tests += tst-dlopen-aout
endif
test-srcs = tst-pathopt
selinux-enabled := $(shell cat /selinux/enforce 2> /dev/null)
ifneq ($(selinux-enabled),1)
tests-execstack-yes = tst-execstack tst-execstack-needed tst-execstack-prog
endif
endif
ifeq ($(run-built-tests),yes)
tests-special += $(objpfx)tst-leaks1-mem.out \
		 $(objpfx)tst-leaks1-static-mem.out $(objpfx)noload-mem.out
endif
tlsmod17a-suffixes = 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19
tlsmod18a-suffixes = 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19
tlsmod17a-modules = $(addprefix tst-tlsmod17a, $(tlsmod17a-suffixes))
tlsmod18a-modules = $(addprefix tst-tlsmod18a, $(tlsmod17a-suffixes))
extra-test-objs += $(tlsmod17a-modules:=.os) $(tlsmod18a-modules:=.os)
test-extras += tst-tlsmod17a tst-tlsmod18a
modules-names = testobj1 testobj2 testobj3 testobj4 testobj5 testobj6 \
		testobj1_1 failobj constload2 constload3 unloadmod \
		dep1 dep2 dep3 dep4 vismod1 vismod2 vismod3 \
		nodelmod1 nodelmod2 nodelmod3 nodelmod4 \
		nodel2mod1 nodel2mod2 nodel2mod3 \
		nodlopenmod nodlopenmod2 filtmod1 filtmod2 \
		reldepmod1 reldepmod2 reldepmod3 reldepmod4 nextmod1 nextmod2 \
		reldep4mod1 reldep4mod2 reldep4mod3 reldep4mod4 \
		neededobj1 neededobj2 neededobj3 neededobj4 \
		neededobj5 neededobj6 firstobj globalmod1 \
		unload2mod unload2dep ltglobmod1 ltglobmod2 pathoptobj \
		dblloadmod1 dblloadmod2 dblloadmod3 reldepmod5 reldepmod6 \
		reldep6mod0 reldep6mod1 reldep6mod2 reldep6mod3 reldep6mod4 \
		reldep7mod1 reldep7mod2 \
		tst-tlsmod1 tst-tlsmod2 tst-tlsmod3 tst-tlsmod4 \
		tst-tlsmod5 tst-tlsmod6 tst-tlsmod7 tst-tlsmod8 \
		tst-tlsmod9 tst-tlsmod10 tst-tlsmod11 tst-tlsmod12 \
		tst-tlsmod13 tst-tlsmod13a tst-tlsmod14a tst-tlsmod14b \
		tst-tlsmod15a tst-tlsmod15b tst-tlsmod16a tst-tlsmod16b \
		$(tlsmod17a-modules) tst-tlsmod17b $(tlsmod18a-modules) \
		tst-tls19mod1 tst-tls19mod2 tst-tls19mod3 \
		circlemod1 circlemod1a circlemod2 circlemod2a \
		circlemod3 circlemod3a \
		reldep8mod1 reldep8mod2 reldep8mod3 \
		reldep9mod1 reldep9mod2 reldep9mod3 \
		tst-alignmod tst-alignmod2 \
		$(modules-execstack-$(have-z-execstack)) \
		tst-dlopenrpathmod tst-deep1mod1 tst-deep1mod2 tst-deep1mod3 \
		tst-dlmopen1mod tst-auditmod1 \
		unload3mod1 unload3mod2 unload3mod3 unload3mod4 \
		unload4mod1 unload4mod2 unload4mod3 unload4mod4 \
		unload6mod1 unload6mod2 unload6mod3 \
		unload7mod1 unload7mod2 \
		unload8mod1 unload8mod1x unload8mod2 unload8mod3 \
		order2mod1 order2mod2 order2mod3 order2mod4 \
		tst-unique1mod1 tst-unique1mod2 \
		tst-unique2mod1 tst-unique2mod2 \
		tst-auditmod9a tst-auditmod9b \
		tst-unique3lib tst-unique3lib2 \
		tst-unique4lib \
		tst-initordera1 tst-initorderb1 \
		tst-initordera2 tst-initorderb2 \
		tst-initordera3 tst-initordera4 \
		tst-initorder2a tst-initorder2b tst-initorder2c \
		tst-initorder2d \
		tst-relsort1mod1 tst-relsort1mod2 tst-array2dep \
		tst-array5dep tst-null-argv-lib
ifeq (yesyes,$(have-fpie)$(build-shared))
modules-names += tst-piemod1
tests += tst-pie1 tst-pie2
tests-pie += tst-pie1 tst-pie2
endif
modules-execstack-yes = tst-execstack-mod
extra-test-objs += $(addsuffix .os,$(strip $(modules-names)))
# We need this variable to be sure the test modules get the right CPPFLAGS.
test-extras += $(modules-names)

# filtmod1.so has a special rule
modules-names-nobuild := filtmod1

ifneq (no,$(multi-arch))
tests-static += ifuncmain1static ifuncmain1picstatic \
		ifuncmain2static ifuncmain2picstatic \
		ifuncmain4static ifuncmain4picstatic \
		ifuncmain5static ifuncmain5picstatic \
		ifuncmain7static ifuncmain7picstatic

ifeq (yes,$(build-shared))
tests += ifuncmain1 ifuncmain1pic ifuncmain1vis ifuncmain1vispic \
	 ifuncmain1staticpic \
	 ifuncmain2 ifuncmain2pic ifuncmain3 ifuncmain4 \
	 ifuncmain5 ifuncmain5pic ifuncmain5staticpic \
	 ifuncmain7 ifuncmain7pic
ifunc-test-modules = ifuncdep1 ifuncdep1pic ifuncdep2 ifuncdep2pic \
		     ifuncdep5 ifuncdep5pic
extra-test-objs += $(ifunc-test-modules:=.o)
test-extras += $(ifunc-test-modules)
ifeq (yes,$(have-fpie))
ifunc-pie-tests = ifuncmain1pie ifuncmain1vispie ifuncmain1staticpie \
		  ifuncmain5pie ifuncmain6pie ifuncmain7pie
tests += $(ifunc-pie-tests)
tests-pie += $(ifunc-pie-tests)
endif
modules-names += ifuncmod1 ifuncmod3 ifuncmod5 ifuncmod6
endif
endif

ifeq (yes,$(build-shared))
ifeq ($(run-built-tests),yes)
tests-special += $(objpfx)tst-pathopt.out $(objpfx)tst-rtld-load-self.out
endif
tests-special += $(objpfx)check-textrel.out $(objpfx)check-execstack.out \
		 $(objpfx)check-localplt.out
endif

ifeq ($(run-built-tests),yes)
tests-special += $(objpfx)order-cmp.out $(objpfx)tst-array1-cmp.out \
		 $(objpfx)tst-array1-static-cmp.out \
		 $(objpfx)tst-array2-cmp.out $(objpfx)tst-array3-cmp.out \
		 $(objpfx)tst-array4-cmp.out $(objpfx)tst-array5-cmp.out \
		 $(objpfx)tst-array5-static-cmp.out $(objpfx)order2-cmp.out \
		 $(objpfx)tst-initorder-cmp.out \
		 $(objpfx)tst-initorder2-cmp.out $(objpfx)tst-unused-dep.out \
		 $(objpfx)tst-unused-dep-cmp.out
endif

check-abi: $(objpfx)check-abi-ld.out
tests-special += $(objpfx)check-abi-ld.out
update-abi: update-abi-ld

include ../Rules

ifeq (yes,$(build-shared))
# Make sure these things are built in the `make lib' pass so they can be used
# to run programs during the `make others' pass.
lib-noranlib: $(objpfx)$(rtld-installed-name) \
	      $(addprefix $(objpfx),$(extra-objs))
endif

# Command to link into a larger single relocatable object.
reloc-link = $(LINK.o) -nostdlib -nostartfiles -r

$(objpfx)sotruss-lib.so: $(shlib-lds)

$(objpfx)dl-allobjs.os: $(all-rtld-routines:%=$(objpfx)%.os)
	$(reloc-link) -o $@ $^

# Link together the dynamic linker into a single relocatable object.
# First we do a link against libc_pic.a just to get a link map,
# and discard the object produced by that link.  From the link map
# we can glean all the libc modules that need to go into the dynamic
# linker.  Then we do a recursive make that goes into all the subdirs
# those modules come from and builds special rtld-foo.os versions that
# are compiled with special flags, and puts these modules into rtld-libc.a
# for us.  Then we do the real link using rtld-libc.a instead of libc_pic.a.

$(objpfx)librtld.map: $(objpfx)dl-allobjs.os $(common-objpfx)libc_pic.a
	@-rm -f $@T
	$(reloc-link) -o $@.o '-Wl,-(' $^ -lgcc '-Wl,-)' -Wl,-Map,$@T
	rm -f $@.o
	mv -f $@T $@

$(objpfx)librtld.mk: $(objpfx)librtld.map Makefile
	LC_ALL=C \
	sed -n 's@^$(common-objpfx)\([^(]*\)(\([^)]*\.os\)) *.*$$@\1 \2@p' \

=== fail-mbr/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# fail-mbr/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/partclone
pkgincludedir = $(includedir)/partclone
pkglibdir = $(libdir)/partclone
pkglibexecdir = $(libexecdir)/partclone
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = fail-mbr
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(failmbrdir)"
DATA = $(failmbr_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.14
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall
CPP = 
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = 
EXEEXT = 
EXT2FS_CFLAGS = 
EXT2FS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -lpthread 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAKEINFO = makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJEXT = o
ORIGINAL_CFLAGS = -g -O2
PACKAGE = partclone
PACKAGE_BUGREPORT = thomas@nchc.org.tw
PACKAGE_NAME = Partclone
PACKAGE_STRING = Partclone 0.2.76
PACKAGE_TARNAME = partclone
PACKAGE_URL = 
PACKAGE_VERSION = 0.2.76
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSUB = po
RM = /bin/rm
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
USE_NLS = yes
UUID_CFLAGS = -I/usr/include/uuid 
UUID_LIBS = -luuid 
VERSION = 0.2.76
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
abs_builddir = /home/thomas/partclone/fail-mbr
abs_srcdir = /home/thomas/partclone/fail-mbr
abs_top_builddir = /home/thomas/partclone
abs_top_srcdir = /home/thomas/partclone
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/thomas/partclone/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
failmbrdir = $(datadir)/partclone/
failmbr_DATA = fail-mbr.bin
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign fail-mbr/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign fail-mbr/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-failmbrDATA: $(failmbr_DATA)
	@$(NORMAL_INSTALL)
	@list='$(failmbr_DATA)'; test -n "$(failmbrdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(failmbrdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(failmbrdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(failmbrdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(failmbrdir)" || exit $$?; \
	done

uninstall-failmbrDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(failmbr_DATA)'; test -n "$(failmbrdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(failmbrdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(failmbrdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \

=== hangul/Makefile ===

SHELL = /bin/sh

BINDIR = ../bin
GZFLAGS = -f -9 -n

#
# assembly date of this version
#
UNICODE_VERSION = 7.0
PKG_REV = 06
VERSION = $(UNICODE_VERSION).$(PKG_REV)

COPYRIGHT = "Copyright (C) 2013 Paul Hardy.  \
Licensed under the GNU General Public License; either version 2, or \
(at your option) a later version, with the GNU Font Embedding Exception."


all: hangul-syllables

hangul-syllables: hangul-hex hangul-bmp ksx chojung

# Convert the hanbase-??.bmp files into a Johab .hex file,
# then convert that into a BDF font file.

hangul-hex:
	echo "0000:0000000000000000000000000000000000000000000000000000000000000000" >hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-00.bmp >>hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-01.bmp >>hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-02.bmp >>hangul-base.hex
	$(BINDIR)/hex2bdf \
	   -f "Unifont Johab" -c $(COPYRIGHT) -v "$(VERSION)" \
	   < hangul-base.hex | \
	   sed -e "s/[Ii][Ss][Oo]10646/Johab/g" >hangul-base.bdf
	bdftopcf < hangul-base.bdf > hangul-base.pcf
	gzip $(GZFLAGS) hangul-base.pcf
	$(BINDIR)/johab2ucs2 < hangul-base.bdf > hangul-syllables.hex

# Convert the .hex file containing all Unicode Hangul Syllables
# into bitmap images for checking visually.

hangul-bmp: hangul-syllables.hex
	if [ ! -d syllables ]; then \
		mkdir syllables; \
	fi
	$(BINDIR)/unihex2bmp -pAC < hangul-syllables.hex > syllables/hangul-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < hangul-syllables.hex > syllables/hangul-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < hangul-syllables.hex > syllables/hangul-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < hangul-syllables.hex > syllables/hangul-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < hangul-syllables.hex > syllables/hangul-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < hangul-syllables.hex > syllables/hangul-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < hangul-syllables.hex > syllables/hangul-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < hangul-syllables.hex > syllables/hangul-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < hangul-syllables.hex > syllables/hangul-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < hangul-syllables.hex > syllables/hangul-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < hangul-syllables.hex > syllables/hangul-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < hangul-syllables.hex > syllables/hangul-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < hangul-syllables.hex > syllables/hangul-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < hangul-syllables.hex > syllables/hangul-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < hangul-syllables.hex > syllables/hangul-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < hangul-syllables.hex > syllables/hangul-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < hangul-syllables.hex > syllables/hangul-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < hangul-syllables.hex > syllables/hangul-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < hangul-syllables.hex > syllables/hangul-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < hangul-syllables.hex > syllables/hangul-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < hangul-syllables.hex > syllables/hangul-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < hangul-syllables.hex > syllables/hangul-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < hangul-syllables.hex > syllables/hangul-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < hangul-syllables.hex > syllables/hangul-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < hangul-syllables.hex > syllables/hangul-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < hangul-syllables.hex > syllables/hangul-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < hangul-syllables.hex > syllables/hangul-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < hangul-syllables.hex > syllables/hangul-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < hangul-syllables.hex > syllables/hangul-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < hangul-syllables.hex > syllables/hangul-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < hangul-syllables.hex > syllables/hangul-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < hangul-syllables.hex > syllables/hangul-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < hangul-syllables.hex > syllables/hangul-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < hangul-syllables.hex > syllables/hangul-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < hangul-syllables.hex > syllables/hangul-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < hangul-syllables.hex > syllables/hangul-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < hangul-syllables.hex > syllables/hangul-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < hangul-syllables.hex > syllables/hangul-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < hangul-syllables.hex > syllables/hangul-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < hangul-syllables.hex > syllables/hangul-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < hangul-syllables.hex > syllables/hangul-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < hangul-syllables.hex > syllables/hangul-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < hangul-syllables.hex > syllables/hangul-D6.bmp
	$(BINDIR)/unihex2bmp -pD7 < hangul-syllables.hex > syllables/hangul-D7.bmp

#
# Extract those syllables that appear in KS X 1001:1992.
# These are the 2,350 syllables in modern usage out of
# a total possible 11,172 syllables.
#
ksx: hangul-syllables.hex
	if [ ! -d ksx-syllables ]; then \
		mkdir ksx-syllables; \
	fi
	$(BINDIR)/unifontksx < hangul-syllables.hex > ksx-syllables.hex
	$(BINDIR)/unihex2bmp -pAC < ksx-syllables.hex > ksx-syllables/han-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < ksx-syllables.hex > ksx-syllables/han-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < ksx-syllables.hex > ksx-syllables/han-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < ksx-syllables.hex > ksx-syllables/han-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < ksx-syllables.hex > ksx-syllables/han-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < ksx-syllables.hex > ksx-syllables/han-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < ksx-syllables.hex > ksx-syllables/han-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < ksx-syllables.hex > ksx-syllables/han-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < ksx-syllables.hex > ksx-syllables/han-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < ksx-syllables.hex > ksx-syllables/han-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < ksx-syllables.hex > ksx-syllables/han-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < ksx-syllables.hex > ksx-syllables/han-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < ksx-syllables.hex > ksx-syllables/han-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < ksx-syllables.hex > ksx-syllables/han-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < ksx-syllables.hex > ksx-syllables/han-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < ksx-syllables.hex > ksx-syllables/han-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < ksx-syllables.hex > ksx-syllables/han-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < ksx-syllables.hex > ksx-syllables/han-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < ksx-syllables.hex > ksx-syllables/han-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < ksx-syllables.hex > ksx-syllables/han-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < ksx-syllables.hex > ksx-syllables/han-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < ksx-syllables.hex > ksx-syllables/han-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < ksx-syllables.hex > ksx-syllables/han-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < ksx-syllables.hex > ksx-syllables/han-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < ksx-syllables.hex > ksx-syllables/han-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < ksx-syllables.hex > ksx-syllables/han-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < ksx-syllables.hex > ksx-syllables/han-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < ksx-syllables.hex > ksx-syllables/han-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < ksx-syllables.hex > ksx-syllables/han-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < ksx-syllables.hex > ksx-syllables/han-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < ksx-syllables.hex > ksx-syllables/han-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < ksx-syllables.hex > ksx-syllables/han-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < ksx-syllables.hex > ksx-syllables/han-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < ksx-syllables.hex > ksx-syllables/han-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < ksx-syllables.hex > ksx-syllables/han-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < ksx-syllables.hex > ksx-syllables/han-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < ksx-syllables.hex > ksx-syllables/han-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < ksx-syllables.hex > ksx-syllables/han-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < ksx-syllables.hex > ksx-syllables/han-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < ksx-syllables.hex > ksx-syllables/han-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < ksx-syllables.hex > ksx-syllables/han-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < ksx-syllables.hex > ksx-syllables/han-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < ksx-syllables.hex > ksx-syllables/han-D6.bmp
	$(BINDIR)/unihex2bmp -pD7 < ksx-syllables.hex > ksx-syllables/han-D7.bmp

#
# Extract those syllables that only contain choseong and
# jungseong (initial consonant plus vowel).
#
chojung: hangul-syllables.hex
	if [ ! -d chojung-syllables ]; then \
		mkdir chojung-syllables; \
	fi
	$(BINDIR)/unifontchojung < hangul-syllables.hex > chojung-syllables.hex
	$(BINDIR)/unihex2bmp -pAC < chojung-syllables.hex > chojung-syllables/han-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < chojung-syllables.hex > chojung-syllables/han-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < chojung-syllables.hex > chojung-syllables/han-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < chojung-syllables.hex > chojung-syllables/han-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < chojung-syllables.hex > chojung-syllables/han-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < chojung-syllables.hex > chojung-syllables/han-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < chojung-syllables.hex > chojung-syllables/han-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < chojung-syllables.hex > chojung-syllables/han-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < chojung-syllables.hex > chojung-syllables/han-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < chojung-syllables.hex > chojung-syllables/han-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < chojung-syllables.hex > chojung-syllables/han-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < chojung-syllables.hex > chojung-syllables/han-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < chojung-syllables.hex > chojung-syllables/han-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < chojung-syllables.hex > chojung-syllables/han-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < chojung-syllables.hex > chojung-syllables/han-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < chojung-syllables.hex > chojung-syllables/han-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < chojung-syllables.hex > chojung-syllables/han-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < chojung-syllables.hex > chojung-syllables/han-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < chojung-syllables.hex > chojung-syllables/han-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < chojung-syllables.hex > chojung-syllables/han-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < chojung-syllables.hex > chojung-syllables/han-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < chojung-syllables.hex > chojung-syllables/han-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < chojung-syllables.hex > chojung-syllables/han-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < chojung-syllables.hex > chojung-syllables/han-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < chojung-syllables.hex > chojung-syllables/han-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < chojung-syllables.hex > chojung-syllables/han-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < chojung-syllables.hex > chojung-syllables/han-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < chojung-syllables.hex > chojung-syllables/han-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < chojung-syllables.hex > chojung-syllables/han-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < chojung-syllables.hex > chojung-syllables/han-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < chojung-syllables.hex > chojung-syllables/han-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < chojung-syllables.hex > chojung-syllables/han-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < chojung-syllables.hex > chojung-syllables/han-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < chojung-syllables.hex > chojung-syllables/han-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < chojung-syllables.hex > chojung-syllables/han-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < chojung-syllables.hex > chojung-syllables/han-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < chojung-syllables.hex > chojung-syllables/han-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < chojung-syllables.hex > chojung-syllables/han-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < chojung-syllables.hex > chojung-syllables/han-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < chojung-syllables.hex > chojung-syllables/han-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < chojung-syllables.hex > chojung-syllables/han-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < chojung-syllables.hex > chojung-syllables/han-D5.bmp

=== iconv/Makefile ===
# Copyright (C) 1997-2015 Free Software Foundation, Inc.
# This file is part of the GNU C Library.

# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# The GNU C Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.

#
#	Makefile for iconv.
#
subdir	:= iconv

include ../Makeconfig

headers		= iconv.h gconv.h
routines	= iconv_open iconv iconv_close \
		  gconv_open gconv gconv_close gconv_db gconv_conf \
		  gconv_builtin gconv_simple gconv_trans gconv_cache
routines	+= gconv_dl

vpath %.c ../locale/programs ../intl

iconv_prog-modules = iconv_charmap charmap charmap-dir linereader \
		     dummy-repertoire simple-hash xstrdup xmalloc
iconvconfig-modules = strtab xmalloc hash-string
extra-objs	   = $(iconv_prog-modules:=.o) $(iconvconfig-modules:=.o)
CFLAGS-iconv_prog.c = -I../locale/programs
CFLAGS-iconv_charmap.c = -I../locale/programs
CFLAGS-dummy-repertoire.c = -I../locale/programs
CFLAGS-charmap.c = -DCHARMAP_PATH='"$(i18ndir)/charmaps"' \
		   -DDEFAULT_CHARMAP=null_pointer -DNEED_NULL_POINTER
CFLAGS-linereader.c = -DNO_TRANSLITERATION
CFLAGS-simple-hash.c = -I../locale

tests	= tst-iconv1 tst-iconv2 tst-iconv3 tst-iconv4 tst-iconv5

others		= iconv_prog iconvconfig
install-others-programs	= $(inst_bindir)/iconv
install-sbin	= iconvconfig

CFLAGS-gconv_cache.c += -DGCONV_DIR='"$(gconvdir)"'
CFLAGS-gconv_conf.c = -DGCONV_PATH='"$(gconvdir)"'
CFLAGS-iconvconfig.c = -DGCONV_PATH='"$(gconvdir)"' -DGCONV_DIR='"$(gconvdir)"'

# Set libof-* for each routine.
cpp-srcs-left := $(iconv_prog-modules) $(iconvconfig-modules)
lib := iconvprogs
include $(patsubst %,$(..)cppflags-iterator.mk,$(cpp-srcs-left))

ifeq ($(run-built-tests),yes)
xtests-special += $(objpfx)test-iconvconfig.out
endif

include ../Rules

$(inst_bindir)/iconv: $(objpfx)iconv_prog $(+force)
	$(do-install-program)

$(objpfx)iconv_prog: $(iconv_prog-modules:%=$(objpfx)%.o)
$(objpfx)iconvconfig: $(iconvconfig-modules:%=$(objpfx)%.o)

$(objpfx)test-iconvconfig.out: /dev/null $(objpfx)iconvconfig
	(set -e; \
	 tmp=$(objpfx)gconv-modules.cache.$$$$; \
	 rm -f $$tmp; \
	 $(make-test-out) --output=$$tmp --nostdlib $(inst_gconvdir); \
	 cmp $$tmp $(inst_gconvdir)/gconv-modules.cache; \
	 rm -f $$tmp) > $@; \
	$(evaluate-test)

=== kernel/Makefile ===
#
# Makefile for the linux kernel.
#

obj-y     = fork.o exec_domain.o panic.o \
	    cpu.o exit.o softirq.o resource.o \
	    sysctl.o sysctl_binary.o capability.o ptrace.o user.o \
	    signal.o sys.o kmod.o workqueue.o pid.o task_work.o \
	    extable.o params.o \
	    kthread.o sys_ni.o nsproxy.o \
	    notifier.o ksysfs.o cred.o reboot.o \
	    async.o range.o groups.o smpboot.o

ifdef CONFIG_FUNCTION_TRACER
# Do not trace debug files and internal ftrace files
CFLAGS_REMOVE_cgroup-debug.o = -pg
CFLAGS_REMOVE_irq_work.o = -pg
endif

# cond_syscall is currently not LTO compatible
CFLAGS_sys_ni.o = $(DISABLE_LTO)

obj-y += sched/
obj-y += locking/
obj-y += power/
obj-y += printk/
obj-y += irq/
obj-y += rcu/

obj-$(CONFIG_CHECKPOINT_RESTORE) += kcmp.o
obj-$(CONFIG_FREEZER) += freezer.o
obj-$(CONFIG_PROFILING) += profile.o
obj-$(CONFIG_STACKTRACE) += stacktrace.o
obj-y += time/
obj-$(CONFIG_FUTEX) += futex.o
ifeq ($(CONFIG_COMPAT),y)
obj-$(CONFIG_FUTEX) += futex_compat.o
endif
obj-$(CONFIG_GENERIC_ISA_DMA) += dma.o
obj-$(CONFIG_SMP) += smp.o
ifneq ($(CONFIG_SMP),y)
obj-y += up.o
endif
obj-$(CONFIG_UID16) += uid16.o
obj-$(CONFIG_SYSTEM_TRUSTED_KEYRING) += system_keyring.o system_certificates.o
obj-$(CONFIG_MODULES) += module.o
obj-$(CONFIG_MODULE_SIG) += module_signing.o
obj-$(CONFIG_KALLSYMS) += kallsyms.o
obj-$(CONFIG_BSD_PROCESS_ACCT) += acct.o
obj-$(CONFIG_KEXEC) += kexec.o
obj-$(CONFIG_BACKTRACE_SELF_TEST) += backtracetest.o
obj-$(CONFIG_COMPAT) += compat.o
obj-$(CONFIG_CGROUPS) += cgroup.o
obj-$(CONFIG_CGROUP_FREEZER) += cgroup_freezer.o
obj-$(CONFIG_CPUSETS) += cpuset.o
obj-$(CONFIG_UTS_NS) += utsname.o
obj-$(CONFIG_USER_NS) += user_namespace.o
obj-$(CONFIG_PID_NS) += pid_namespace.o
obj-$(CONFIG_IKCONFIG) += configs.o
obj-$(CONFIG_SMP) += stop_machine.o
obj-$(CONFIG_KPROBES_SANITY_TEST) += test_kprobes.o
obj-$(CONFIG_AUDIT) += audit.o auditfilter.o
obj-$(CONFIG_AUDITSYSCALL) += auditsc.o
obj-$(CONFIG_AUDIT_WATCH) += audit_watch.o
obj-$(CONFIG_AUDIT_TREE) += audit_tree.o
obj-$(CONFIG_GCOV_KERNEL) += gcov/
obj-$(CONFIG_KPROBES) += kprobes.o
obj-$(CONFIG_KGDB) += debug/
obj-$(CONFIG_DETECT_HUNG_TASK) += hung_task.o
obj-$(CONFIG_LOCKUP_DETECTOR) += watchdog.o
obj-$(CONFIG_SECCOMP) += seccomp.o
obj-$(CONFIG_RELAY) += relay.o
obj-$(CONFIG_SYSCTL) += utsname_sysctl.o
obj-$(CONFIG_TASK_DELAY_ACCT) += delayacct.o
obj-$(CONFIG_TASKSTATS) += taskstats.o tsacct.o
obj-$(CONFIG_TRACEPOINTS) += tracepoint.o
obj-$(CONFIG_LATENCYTOP) += latencytop.o
obj-$(CONFIG_BINFMT_ELF) += elfcore.o
obj-$(CONFIG_COMPAT_BINFMT_ELF) += elfcore.o
obj-$(CONFIG_BINFMT_ELF_FDPIC) += elfcore.o
obj-$(CONFIG_FUNCTION_TRACER) += trace/
obj-$(CONFIG_TRACING) += trace/
obj-$(CONFIG_TRACE_CLOCK) += trace/
obj-$(CONFIG_RING_BUFFER) += trace/
obj-$(CONFIG_TRACEPOINTS) += trace/
obj-$(CONFIG_IRQ_WORK) += irq_work.o
obj-$(CONFIG_CPU_PM) += cpu_pm.o
obj-$(CONFIG_BPF) += bpf/

obj-$(CONFIG_PERF_EVENTS) += events/

obj-$(CONFIG_USER_RETURN_NOTIFIER) += user-return-notifier.o
obj-$(CONFIG_PADATA) += padata.o
obj-$(CONFIG_CRASH_DUMP) += crash_dump.o
obj-$(CONFIG_JUMP_LABEL) += jump_label.o
obj-$(CONFIG_CONTEXT_TRACKING) += context_tracking.o
obj-$(CONFIG_TORTURE_TEST) += torture.o

$(obj)/configs.o: $(obj)/config_data.h

# config_data.h contains the same information as ikconfig.h but gzipped.
# Info from config_data can be extracted from /proc/config*
targets += config_data.gz
$(obj)/config_data.gz: $(KCONFIG_CONFIG) FORCE
	$(call if_changed,gzip)

      filechk_ikconfiggz = (echo "static const char kernel_config_data[] __used = MAGIC_START"; cat $< | scripts/basic/bin2c; echo "MAGIC_END;")
targets += config_data.h
$(obj)/config_data.h: $(obj)/config_data.gz FORCE
	$(call filechk,ikconfiggz)

###############################################################################
#
# Roll all the X.509 certificates that we can find together and pull them into
# the kernel so that they get loaded into the system trusted keyring during
# boot.
#
# We look in the source root and the build root for all files whose name ends
# in ".x509".  Unfortunately, this will generate duplicate filenames, so we
# have make canonicalise the pathnames and then sort them to discard the
# duplicates.
#
###############################################################################
ifeq ($(CONFIG_SYSTEM_TRUSTED_KEYRING),y)
X509_CERTIFICATES-y := $(wildcard *.x509) $(wildcard $(srctree)/*.x509)
X509_CERTIFICATES-$(CONFIG_MODULE_SIG) += $(objtree)/signing_key.x509
X509_CERTIFICATES-raw := $(sort $(foreach CERT,$(X509_CERTIFICATES-y), \
				$(or $(realpath $(CERT)),$(CERT))))
X509_CERTIFICATES := $(subst $(realpath $(objtree))/,,$(X509_CERTIFICATES-raw))

ifeq ($(X509_CERTIFICATES),)
$(warning *** No X.509 certificates found ***)
endif

ifneq ($(wildcard $(obj)/.x509.list),)
ifneq ($(shell cat $(obj)/.x509.list),$(X509_CERTIFICATES))
$(info X.509 certificate list changed)
$(shell rm $(obj)/.x509.list)
endif
endif

kernel/system_certificates.o: $(obj)/x509_certificate_list

quiet_cmd_x509certs  = CERTS   $@
      cmd_x509certs  = cat $(X509_CERTIFICATES) /dev/null >$@ $(foreach X509,$(X509_CERTIFICATES),; echo "  - Including cert $(X509)")

targets += $(obj)/x509_certificate_list
$(obj)/x509_certificate_list: $(X509_CERTIFICATES) $(obj)/.x509.list
	$(call if_changed,x509certs)

targets += $(obj)/.x509.list
$(obj)/.x509.list:
	@echo $(X509_CERTIFICATES) >$@
endif

clean-files := x509_certificate_list .x509.list

ifeq ($(CONFIG_MODULE_SIG),y)
###############################################################################
#
# If module signing is requested, say by allyesconfig, but a key has not been
# supplied, then one will need to be generated to make sure the build does not
# fail and that the kernel may be used afterwards.
#
###############################################################################
ifndef CONFIG_MODULE_SIG_HASH
$(error Could not determine digest type to use from kernel config)
endif

signing_key.priv signing_key.x509: x509.genkey
	@echo "###"
	@echo "### Now generating an X.509 key pair to be used for signing modules."
	@echo "###"
	@echo "### If this takes a long time, you might wish to run rngd in the"
	@echo "### background to keep the supply of entropy topped up.  It"
	@echo "### needs to be run as root, and uses a hardware random"
	@echo "### number generator if one is available."
	@echo "###"
	openssl req -new -nodes -utf8 -$(CONFIG_MODULE_SIG_HASH) -days 36500 \
		-batch -x509 -config x509.genkey \
		-outform DER -out signing_key.x509 \
		-keyout signing_key.priv 2>&1
	@echo "###"
	@echo "### Key pair generated."
	@echo "###"

x509.genkey:
	@echo Generating X.509 key generation config
	@echo  >x509.genkey "[ req ]"
	@echo >>x509.genkey "default_bits = 4096"
	@echo >>x509.genkey "distinguished_name = req_distinguished_name"
	@echo >>x509.genkey "prompt = no"
	@echo >>x509.genkey "string_mask = utf8only"
	@echo >>x509.genkey "x509_extensions = myexts"
	@echo >>x509.genkey
	@echo >>x509.genkey "[ req_distinguished_name ]"
	@echo >>x509.genkey "O = Magrathea"
	@echo >>x509.genkey "CN = Glacier signing key"
	@echo >>x509.genkey "emailAddress = slartibartfast@magrathea.h2g2"
	@echo >>x509.genkey
	@echo >>x509.genkey "[ myexts ]"
	@echo >>x509.genkey "basicConstraints=critical,CA:FALSE"
	@echo >>x509.genkey "keyUsage=digitalSignature"
	@echo >>x509.genkey "subjectKeyIdentifier=hash"
	@echo >>x509.genkey "authorityKeyIdentifier=keyid"
endif

=== kpartx/Makefile ===
# Makefile
#
# Copyright (C) 2003 Christophe Varoqui, <christophe.varoqui@opensvc.com>
#
include ../Makefile.inc

CFLAGS += -I. -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

LDFLAGS = -ldevmapper
OBJS = bsd.o dos.o kpartx.o solaris.o unixware.o dasd.o sun.o \
       gpt.o mac.o crc32.o lopart.o xstrncpy.o devmapper.o
EXEC = kpartx

all: $(EXEC)

$(EXEC): $(OBJS)
	$(CC) $(OBJS) -o $(EXEC) $(LDFLAGS)
	$(GZIP) $(EXEC).8 > $(EXEC).8.gz
	
install: $(EXEC) $(EXEC).8
	$(INSTALL_PROGRAM) -d $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) -m 755 $(EXEC) $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) -d $(DESTDIR)$(libudevdir)
	$(INSTALL_PROGRAM) -m 755 kpartx_id $(DESTDIR)$(libudevdir)
	$(INSTALL_PROGRAM) -d $(DESTDIR)/etc/udev/rules.d
	$(INSTALL_PROGRAM) -m 644 kpartx.rules $(DESTDIR)/etc/udev/rules.d/
	$(INSTALL_PROGRAM) -d $(DESTDIR)$(mandir)
	$(INSTALL_PROGRAM) -m 644 $(EXEC).8.gz $(DESTDIR)$(mandir)

uninstall:
	rm -f $(DESTDIR)$(bindir)/$(EXEC)
	rm -f $(DESTDIR)$(mandir)/$(EXEC).8.gz

clean:
	rm -f core *.o $(EXEC) *.gz

=== multipathd/Makefile ===
EXEC = multipathd

include ../Makefile.inc

#
# basic flags setting
#
CFLAGS += -I$(multipathdir)
LDFLAGS += -lpthread -ldevmapper -lreadline -lncurses -ldl \
	   -lmultipath -L$(multipathdir)

#
# debuging stuff
#
#CFLAGS += -DLCKDBG
#CFLAGS += -D_DEBUG_
#CFLAGS += -DLOGDBG

#
# object files
#
OBJS = main.o pidfile.o uxlsnr.o uxclnt.o cli.o cli_handlers.o


#
# directives
#
all : $(EXEC)

$(EXEC): $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(EXEC) $(OBJS)
	$(GZIP) $(EXEC).8 > $(EXEC).8.gz

install:
	$(INSTALL_PROGRAM) -d $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) -m 755 $(EXEC) $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) -d $(DESTDIR)$(rcdir)
	$(INSTALL_PROGRAM) -d $(DESTDIR)$(mandir)
	$(INSTALL_PROGRAM) -m 644 $(EXEC).8.gz $(DESTDIR)$(mandir)

uninstall:
	rm -f $(DESTDIR)$(bindir)/$(EXEC)
	rm -f $(DESTDIR)$(rcdir)/$(EXEC)
	rm -f $(DESTDIR)$(mandir)/$(EXEC).8.gz

clean:
	rm -f core *.o $(EXEC) *.gz

=== netscsid/CMakeLists.txt ===
PROJECT (netscsid C)
INCLUDE_DIRECTORIES(../include ../wodim ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/include)
INCLUDE(../include/AddScgBits.cmake)
INCLUDE(../include/AddSchilyBits.cmake)
INCLUDE(../include/AddNetworkBits.cmake)

LINK_DIRECTORIES(../librols ../libusal )
ADD_EXECUTABLE (netscsid netscsid.c)
#SET_SOURCE_FILES_PROPERTIES(netscsid.c )
TARGET_LINK_LIBRARIES(netscsid ${EXTRA_LIBS} )
#SET_TARGET_PROPERTIES(netscsid PROPERTIES  SKIP_BUILD_RPATH TRUE)
INSTALL(TARGETS netscsid DESTINATION sbin)

=== changelog ===
vim (2:7.4.712-2ubuntu2) wily; urgency=medium

  * debian/patches/debian/ubuntu-releases.patch: Move Ubuntu release fixes
    to new local patch, drop lucid, and add missing karmic to unsupported.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 14 May 2015 04:20:53 -0600

vim (2:7.4.712-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/rules: Ignore failures from flaky test86.
  * Add vivid and wily to list of known releases.
  * debian/rules: Use ps2write. Ghostscript 9.10 removed the 'pswrite' device.
    We need to write level 2 postscript now.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 13 May 2015 13:14:47 +0100

vim (2:7.4.712-2) unstable; urgency=medium

  * Add stretch to Debian syntax files.  (Closes: #783506)
  * syntax/debsources.vim: Recognize all Debian/Ubuntu releases, but highlight
    unsupported releases differently.
  * Add patch upstream/lcs_space-overflow.patch, which fixes an integer
    overflow when determining whether to apply listchar's space setting.  This
    fixes the test_listchars failure on certain architectures when PIE is
    enabled.

 -- James McCoy <jamessan@debian.org>  Thu, 30 Apr 2015 20:25:42 -0400

vim (2:7.4.712-1) unstable; urgency=medium

  * Merge upstream tag v7-4-712
    + 7.4.586: Remove a cyclic dependency when generating documentation, which
      results in unreproducible builds.  (Closes: #775562)
    + 7.4.609: Use a stack of dicts and lists to be marked for garbage
      collection, thus making it iterative instead of recursive.  Fixes crash
      with some plugins written in other languages (e.g., lua).  (Closes:
      #778821)
    + runtime/syntax/registry.vim: Correct highlighting of comments.  (Closes:
      #687199)
    + runtime/syntax/strace.vim: Highlight 2-digit escape sequences the same
      as 1 or 3-digit escape sequences.  (Closes: #775113)
  * Remove backported patches upstream/v7-4-576.patch and
    upstream/netrwSavePosn.patch.
  * Add a Build-Conflict for autoconf2.13 to avoid a FTBFS if it's installed.
    (Closes: #781031)

 -- James McCoy <jamessan@debian.org>  Sat, 25 Apr 2015 09:00:09 -0400

vim (2:7.4.488-7) unstable; urgency=medium

  * Backport patch 7.4.576 to fix jarring toggling of 'linebreak' option when
    using the c command to change the buffer.  (Closes: #774492)
  * Backport upstream fix for call to unknown function in NetRW plugin.
    (Closes: #768467)

 -- James McCoy <jamessan@debian.org>  Tue, 31 Mar 2015 19:30:17 -0400

vim (2:7.4.488-6) unstable; urgency=medium

  * Build vim logo from the eps instead of pdf so the svg has the correct
    bounding box.  Thanks to Simon McVittie for the idea!  (Closes: #778477)
  * syntax/debchangelog.vim:
    + Recognize jessie, jessie-backports, and sid targets
    + Recognize binary-only=yes key value in debchangelogHeader

 -- James McCoy <jamessan@debian.org>  Sat, 21 Mar 2015 14:24:01 -0400

vim (2:7.4.488-5) unstable; urgency=medium

  * Install icons to the proper directory.  dh_install doesn't rename files,
    even though the last upload pretended it does.
    - Use upstream's icons and remove the ones in debian/
    - Add Build-Depends: pdf2svg to create a scalable icon

 -- James McCoy <jamessan@debian.org>  Wed, 11 Feb 2015 21:38:10 -0500

vim (2:7.4.488-4) unstable; urgency=medium

  * Move vim icon from vim-gui-common to vim-common since both vim.desktop and
    gvim.desktop use it.  (Closes: #773930)

 -- James McCoy <jamessan@debian.org>  Mon, 29 Dec 2014 23:13:17 -0500

vim (2:7.4.488-3ubuntu2) vivid; urgency=medium

  * debian/patches/fixtest63.patch: Cherry-pick r6411 from upstream to fix
    test63 on the buildds, where TERM is unset.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 09 Dec 2014 16:56:44 +0000

vim (2:7.4.488-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/rules: Ignore failures from flaky test86.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 09 Dec 2014 13:50:12 +0000

vim (2:7.4.488-3) unstable; urgency=medium

  * Install icons to /usr/share/icons/hicolor to work around #765069.
    (Closes: #768256)

 -- James McCoy <jamessan@debian.org>  Sun, 30 Nov 2014 15:08:09 -0500

vim (2:7.4.488-2) unstable; urgency=medium

  * Actually fix the Name in vim.desktop.  (Closes: #769575)

 -- James McCoy <jamessan@debian.org>  Fri, 14 Nov 2014 21:06:27 -0500

vim (2:7.4.488-1) unstable; urgency=medium

  * Merge upstream tag v7-4-488
  * Fix the Name in vim.desktop.

 -- James McCoy <jamessan@debian.org>  Wed, 22 Oct 2014 21:07:59 -0400

vim (2:7.4.481-1) unstable; urgency=medium

  * Merge upstream tag v7-4-481
    + Updated Russian translation of vimtutor.  (Closes: #722673)
  * syntax/debcontrol.vim: Recognize https URLs for Vcs-Git.  (Closes:
    #763553)
  * debian/rules: Request all hardening features, other than fortify, from
    dpkg-buildflags.
  * Add codename for Ubuntu's next release, vivid.
  * Install a .desktop file for terminal vim.  (Closes: #760512)

 -- James McCoy <jamessan@debian.org>  Mon, 20 Oct 2014 23:26:20 -0400

vim (2:7.4.430-1) unstable; urgency=medium

  * Merge upstream tag v7-4-430
    + 7.4.397: Fix paren matching in zsh scripts.  (Closes: #754507)
    + Runtime updates:
      - Improve highlighting of Python's \N{…} sequences.  (Closes: #749175)
  * Add jessie release and remove EOLed saucy release from Debian runtime
    files.  (Closes: #753823)



=== debian/changelog ===
dpkg (1.17.25ubuntu1) vivid; urgency=medium

  * Merge with Debian, pulling in the upstream fix for CVE-2015-0840,
    a couple of updated translations, and several trivial bug fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Apr 2015 21:36:44 -0600

dpkg (1.17.25) unstable; urgency=medium

  [ Guillem Jover ]
  * Do not leak kvm descriptors in start-stop-daemon on GNU/kFreeBSD systems.
    Based on a patch by Jeff Epler <jepler@unpythonic.net>. Closes: #779467
  * Fix OpenPGP Armor Header Line parsing in Dpkg::Control::Hash. We should
    only accept [\r\t ] as trailing whitespace, although RFC4880 does not
    clarify what whitespace really maps to, we should really match the GnuPG
    implementation anyway, as that's what we use to verify the signatures.
    Reported by Jann Horn <jann@thejh.net>. Fixes CVE-2015-0840.
  * Use correct versions in Conflicts for removed packages. Closes: #776984
  * Use backports friendly versions in Breaks/Conflicts.
    Reported by Thorsten Glaser <tg@debian.org>.
  * Fix perl warning in dpkg-genchanges when parsing BY-HAND file entries.
    Regression introduced in dpkg 1.17.7. Closes: #781074

  [ Updated programs translations ]
  * Dutch (Frans Spiesschaert). Closes: #779953
  * Hungarian (Úr Balázs).

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Apr 2015 23:40:47 +0200

dpkg (1.17.24ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: OpenPGP Armor Header Line parsing issue
    - scripts/Dpkg/Control/HashCore.pm: adjust whitespace parsing.
    - scripts/Makefile.*, scripts/t/Dpkg_Control.t,
      scripts/t/Dpkg_Control/bogus-armor-formfeed.dsc: added tests.
    - Patch thanks to Guillem Jover
    - CVE-2015-0840

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Apr 2015 11:41:14 -0400

dpkg (1.17.24ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable, which pulls in bugfixes, and disables
    dependency checks on trigger processing, quieting trigger cycles.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Mar 2015 22:21:07 -0600

dpkg (1.17.24) unstable; urgency=low

  [ Guillem Jover ]
  * Add missing versioned Breaks on packages creating trigger cycles.
    Namely debian-security-support, doc-base, gitweb, grace, install-info,
    libapache2-mod-php5, libapache2-mod-php5filter, php5-fpm and xine-ui.
    Closes: #774794
  * Switch versioned Breaks for trigger cycles from <= to << relations (with
    the necessary version adjustments).
  * Add Conflicts for removed packages expecting dpkg to ship install-info.
    Namely octave3.2-info, octave3.0-info and polgen-doc. Closes: #776984
  * Do not accept unknown user or group names on «dpkg-statoverride --add».
    Regression introduced in dpkg 1.17.11. Closes: #775124
  * Check that HAVE_DECL_SYS_SIGLIST is 0 instead of undefined, to fix a
    build failure on uclibc based systems. Closes: #777044
    Based on a patch by Alex Potapenko <opotapenko@gmail.com>.
  * Disable dependency checks on trigger processing. There are still trigger
    cycles showing up this close to the Debian release, which are hard to
    detect automatically as they are caused by maintainer script actions.
    Requested by Niels Thykier <niels@thykier.net> (Debian Release Manager).

  [ Raphaël Hertzog ]
  * Drop myself from Uploaders.

  [ Updated programs translations ]
  * All complete languages (shadow package).
  * Thai (Theppitak Karoonboonyanan).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Feb 2015 22:54:51 +0100

dpkg (1.17.23ubuntu1) vivid; urgency=medium
  
  * Merge from Debian unstable.  Remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - Bump fontconfig Breaks to match Ubuntu version; can be reverted after
      vivid ships, as the Debian Breaks version was higher than trusty's.
    - Add ureadahead to the long list of trigger-related Breaks as well.
  * Remove multiarch upgrade code from postinst, which is no longer needed.
 
 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Dec 2014 10:52:37 -0700

dpkg (1.17.23) unstable; urgency=low

  [ Guillem Jover ]
  * Use a matching group instead of ${^MATCH} in s/// in dselect build script.
  * Skip tar extractor tests if tar is not GNU tar >= 1.27.
  * Reset the trigger cycle tracking on unsatisfied dependencies during
    trigger processing. Closes: #771730
  * Fix out-of-bounds buffer read accesses when parsing field and trigger
    names or checking package ownership of conffiles and directories.
    Reported by Joshua Rogers <megamansec@gmail.com>.
  * Add versioned Breaks on packages creating trigger cycles. Namely auctex,
    apt-cudf, ccache, cups, distcc, fusionforge-plugin-mediawiki, gap-core,
    gxine, hoogle, icecc, libjs-protoaculous, mcollective, pypy, wordpress
    and xfonts-traditional.

  [ Updated programs translations ]
  * Basque (Iñaki Larrañaga Murgoitio). Closes: #771893
  * Catalan (Guillem Jover).
  * Czech (Miroslav Kure).
  * Esperanto (Felipe Castro).
  * French (Sébastien Poher).
  * Italian (Milo Casagrande).
  * Portuguese (Miguel Figueiredo).
  * Russian (Yuri Kozlov). Closes: #771691
  * Simplified Chinese (Zhou Mo). Closes: #771264
  * Spanish (Javier Fernández-Sanguino)


=== package/debian/changelog ===
ncurses6 (5.9-20140712) unstable; urgency=low

  * latest weekly patch

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 12 Jul 2014 10:47:53 -0400

ncurses6 (5.9-20120608) unstable; urgency=low

  * initial release

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 08 Jun 2012 07:54:29 -0400

=== control ===
Source: boost1.55
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), dctrl-tools,
 zlib1g-dev, libbz2-dev, libicu-dev, 
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen, 
 dh-python,
 python, python-all-dev, 
 python3, python3-all-dev (>= 3.1)
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-boost/boost/
Vcs-Svn: svn://anonscm.debian.org/pkg-boost/boost/
Standards-Version: 3.9.5

Package: libboost1.55-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, libboost1.55-dev (= ${binary:Version})
Conflicts: libboost1.42-dbg, libboost1.46-dbg, libboost1.48-dbg, libboost1.49-dbg, libboost1.50-dbg, libboost1.52-dbg, libboost1.53-dbg, libboost1.54-dbg
Description: Boost C++ Libraries with debug symbols
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are built with debug symbols. They are useful to debug
 programs which use Boost. These must be used also at build/link time.

Package: libboost1.55-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libstdc++-4.8-dev | libstdc++-dev
Suggests: libboost1.55-doc,
 libboost-atomic1.55-dev,
 libboost-chrono1.55-dev,
 libboost-context1.55-dev,
 libboost-coroutine1.55-dev,
 libboost-date-time1.55-dev,
 libboost-exception1.55-dev,
 libboost-filesystem1.55-dev,
 libboost-graph1.55-dev,
 libboost-graph-parallel1.55-dev,
 libboost-iostreams1.55-dev,
 libboost-locale1.55-dev,
 libboost-log1.55-dev,
 libboost-math1.55-dev,
 libboost-mpi1.55-dev,
 libboost-mpi-python1.55-dev,
 libboost-program-options1.55-dev,
 libboost-python1.55-dev,
 libboost-random1.55-dev,
 libboost-regex1.55-dev,
 libboost-serialization1.55-dev,
 libboost-signals1.55-dev,
 libboost-system1.55-dev,
 libboost-test1.55-dev,
 libboost-thread1.55-dev,
 libboost-timer1.55-dev,
 libboost-wave1.55-dev,
 libboost1.55-tools-dev,
 libmpfrc++-dev, libntl-dev
Conflicts: bjam, boost-build, libboost1.42-dev, libboost1.46-dev, libboost1.48-dev, libboost1.49-dev, libboost1.50-dev, libboost1.52-dev, libboost1.53-dev, libboost1.54-dev
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers for all Boost libraries.
 .
 Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
 required to use the Boost.Multiprecision wrapping of the respective
 library.
 .
 For the following subprojects separate packages exist: chrono,
 date-time, exception filesystem, graph, iostreams, locale, math, mpi,
 program_options, python, regex, serialization, signals, system, test,
 thread, timer, and wave.

Package: libboost1.55-tools-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xsltproc,
 doxygen,
 docbook-xml (>= 4.2),
 docbook-xsl (>= 1.73.2),
 default-jdk (>= 1.4),
 fop (>= 0.94)
Conflicts: bjam, boost-build, libboost1.49-dev, libboost1.53-tools-dev, libboost1.54-tools-dev
Replaces: bjam, boost-build, libboost1.49-dev, libboost1.53-dev, libboost1.53-tools-dev
Description: Boost C++ Libraries development tools
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the auxiliary tools bjam, Boost.Build, bcp,
 inspect, boostbook and quickbook.

Package: libboost1.55-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libboost1.55-dev (>= ${source:Version})
Conflicts: libboost1.42-doc, libboost1.46-doc, libboost1.48-doc, libboost1.49-doc, libboost1.50-doc, libboost1.52-doc, libboost1.53-doc, libboost1.54-doc
Description: Boost.org libraries documentation
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This is documentation for the boost libraries in HTML format.
 Some pages point to header files provided in the corresponding -dev package,
 so it is suggested to install the latter as well.

Package: libboost-atomic1.55.0
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.

Package: libboost-atomic1.55-dev
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, 
 libboost1.55-dev (= ${binary:Version}),
 libboost-atomic1.55.0 (= ${binary:Version})
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.
Conflicts: libboost-atomic1.53-dev, libboost-atomic1.54-dev

Package: libboost-chrono1.55.0
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic duration
    class.Examples of time durations include days, minutes, seconds and
    nanoseconds, which can be represented with a fixed number of clock
    ticks per unit. All of these units of time duration are united with
    a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
    represents an epoch plus or minus a duration. The library leaves
    epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a particular
    platform: system_clock, steady_clock and high_resolution_clock. A
    clock is a pairing of a time_point and duration, and a function
    which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
    current process.
  * process_user_cpu_clock, captures user-CPU time spent by the current
    process.
  * process_system_cpu_clock, captures system-CPU time spent by the
    current process.
  * a tuple-like class process_cpu_clock, that captures real, user-CPU,
    and system-CPU process times together.
  * a thread_clock thread steady clock giving the time spent by the
    current thread (when supported by a platform).
 .
 Lastly, Boost.Chrono includes typeof registration for duration and
 time_point to permit using emulated auto with C++03 compilers.

Package: libboost-chrono1.55-dev
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libboost1.55-dev (= ${binary:Version}),
 libboost-chrono1.55.0 (= ${binary:Version})
Conflicts: libboost-chrono1.48-dev, libboost-chrono1.49-dev, libboost-chrono1.50-dev, libboost-chrono1.52-dev, libboost-chrono1.53-dev, libboost-chrono1.54-dev
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic
 duration class . Examples of time durations include days, minutes,
 seconds and nanoseconds, which can be represented with a fixed number
 of clock ticks per unit. All of these units of time duration are
 united with a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
 represents an epoch plus or minus a duration. The library leaves
 epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a
 particular platform: system_clock, steady_clock and
 high_resolution_clock. A clock is a pairing of a time_point and
 duration, and a function which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
 current process.  
  * process_user_cpu_clock, captures user-CPU time
 spent by the current process.  
  * process_system_cpu_clock, captures
 system-CPU time spent by the current process.  
  * A tuple-like class
 process_cpu_clock, that captures real, user-CPU, and system-CPU
 process times together.
  * A thread_clock thread steady clock giving
 the time spent by the current thread (when supported by a platform).
 .

=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: xkb-data (>= 1.6), xkb-data-i18n, keymapper (>= 0.5.3-7), sharutils, locales
Build-Depends: perl, debhelper (>= 9), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl
Standards-Version: 3.9.1
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/console-setup.git
XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/console-setup.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/console-setup/ubuntu

Package: keyboard-configuration
Section: utils
Architecture: all
Depends: debconf (>= 1.5.34), ${misc:Depends}, liblocale-gettext-perl, initscripts
Breaks: console-setup (<< 1.71), console-setup-mini (<< 1.47)
Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
Description: system-wide keyboard preferences
 This package maintains the keyboard preferences in
 /etc/default/keyboard.  Other packages can use the information
 provided by this package in order to configure the keyboard on the
 console or in X Window.

Package: console-setup
Section: utils
Architecture: all
Depends: debconf (>= 1.5.34), console-setup-linux, xkb-data (>= 0.9), keyboard-configuration (= ${source:Version}), initramfs-tools (>= 0.85eubuntu12), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6), locales
Conflicts: console-setup-mini
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 The package also installs console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: console-setup-linux, debconf (>= 0.5) | debconf-2.0, keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program - reduced version for Linux
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 This package can be useful for handhelds or other devices with small
 storage space.

Package: console-setup-linux
Section: utils
Priority: optional
Architecture: all
Depends: kbd (>= 1.15-1ubuntu3), keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: console-setup
Breaks: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<< 1.71)
Replaces: console-terminus, console-setup (<< 1.71)
Provides: console-terminus
Description: Linux specific part of console-setup
 This package includes fonts in psf format and definitions of various
 8-bit charmaps.

Package: bdf2psf
Section: utils
Priority: optional
Architecture: all
Depends: perl, ${misc:Depends}
Description: font converter to generate console fonts from BDF source fonts
 This package provides a command-line converter that can be used in
 scripts to build console fonts from BDF sources automatically. The
 converter comes with a collection of font encodings that cover many
 of the world's languages. The output font can use a different
 character encoding from the input. When the source font does not
 define a glyph for a particular symbol in the encoding table, that
 glyph position in the console font is not wasted but used for another
 symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the eighth column of the glyph matrix of symbols
 positioned in the pseudographic area to the ninth column. In order to
 create fonts for text video modes, the width of the glyph matrix of
 the source BDF font should be seven, eight, or nine pixels; otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Priority: extra
Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 Keyboard configurator for Debian Installer based on console-setup
Package-Type: udeb
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Amiga keyboards
Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Atari TT keyboards
Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for old-style Macintosh keyboards
Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for PC keyboards
Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun4 keyboards
Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun5 keyboards
Package-Type: udeb

Package: console-setup-pc-ekbd
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded FreeBSD keyboard layouts for PC keyboards
Package-Type: udeb

Package: console-setup-linux-fonts-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}, kbd-udeb
Architecture: all
Description: Linux console fonts for Debian Installer
Package-Type: udeb

Package: console-setup-freebsd-fonts-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: FreeBSD console fonts for Debian Installer
Package-Type: udeb

Package: console-setup-linux-charmaps-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: Linux 8-bit charmaps for console-setup-udeb
Package-Type: udeb

Package: console-setup-freebsd-charmaps-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: FreeBSD 8-bit charmaps for console-setup-udeb
Package-Type: udeb

=== examples/live-config-foobar/debian/control ===
Source: live-config-foobar
Section: misc
Priority: extra
Maintainer: John Doe <john@example.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://www.example.org/foobar/
Vcs-Browser: http://git.example.org/?p=live-config-foobar.git
Vcs-Git: git://git.example.org/git/live-config-foobar.git

Package: live-config-foobar
Architecture: all
Depends: ${misc:Depends}, live-config (>= 4), live-config (<< 5)
Description: Additional Live System Configuration Components (foobar)
 live-config contains the components that configure a live system during the
 boot process (late userspace).
 .
 This package contains the additional foobar component(s).

=== debian/rules ===
#!/usr/bin/make -f

######################################################################
# BUILD NOTES
#
# ifupdown's written in litprog using noweb. noweb is written in icon.
# icon isn't as portable as one might hope (it needs to have bits recoded
# for each arch and OS it's ported to. ugh).
#
# So. The "upstream" source is made to not include any of the generated
# files. That's neat and tidy. If you want to modify anything, you edit
# the .nw file.
#
# Once you've done all the Debian changes, you run debian/rules binary,
# and get all the .c files and such updated. Once you're done, you
# run debian/rules clean, which leaves the generated .c files around
# for porters. You then generate a .diff.gz, and all should be well.
#
# Useful targets of the toplevel makefile:
# clobber:
#   * gets rid of all the generated files except Makefile,
#     make{c,nw}dep.sh, which are needed to bootstrap
#
# distclean:
#   * removes ALL generated files.  Use with care.
#
# docs: 
#   * builds the documentation. Note that this is not done per
#     default (only executables are built). If this is added to
#     the default build process (which will not be done in the near
#     future since dia requires an X display even if using the -e option) 
#     the 'tetex-base' and 'dia' packages would need to be added to the
#     Build-Dep
#
######################################################################

export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
export CFLAGS := -Wall -W $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -D'IFUPDOWN_VERSION="$(VERSION)"'
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
ifeq "$(origin CC)" "default"
export CC := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
endif
export ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export DESTDIR := debian/$(shell dh_listpackages)

ifeq "$(ARCH)" "kfreebsd"
CFLAGS += -D'LO_IFACE="lo0"'
endif

%:
	dh $@

override_dh_auto_configure:
	chmod a+rx makecdep.sh makenwdep.sh

override_dh_installinit:
	dh_installinit --name=networking --no-start
	install -p -m 0644 debian/networking.defaults $(DESTDIR)/etc/default/networking
	dh_installinit --name=network-interface-container --noscripts
	dh_installinit --name=network-interface-security --noscripts
	dh_installinit --name=network-interface --noscripts
	dh_installinit --name=networking --noscripts
	dh_installinit --name=ifup-wait-all-auto --noscripts
	# statically activate the above
	mkdir -p debian/ifupdown/lib/systemd/system/network-online.target.wants
	ln -s ../ifup-wait-all-auto.service debian/ifupdown/lib/systemd/system/network-online.target.wants/ifup-wait-all-auto.service

override_dh_installifupdown:
	dh_installifupdown --name=upstart

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf tests/

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	chmod a+rx debian/testbuild
	@echo running debian/testbuild
	@if ! debian/testbuild; then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi
endif
endif

override_dh_gencontrol:
ifeq ($(ARCH),linux)
	dh_gencontrol -- -V'net:Depends=iproute2|iproute (>= 20071016-1)' -V'net:Suggests=net-tools'
else ifeq ($(ARCH),kfreebsd)
	dh_gencontrol -- -V'net:Depends=net-tools' -V'net:Suggests='
else ifeq ($(ARCH),hurd)
	dh_gencontrol -- -V'net:Depends=inetutils-tools' -V'net:Suggests='
endif

=== rules ===
#! /usr/bin/make -f
# -*- makefile -*-
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.

-include debian/rules.custom

# be paranoid
export LC_ALL ?= C

######## Ubuntu changes
# no chance that pkg-create-dbgsym can cope with this package's manual construction of -dbg
export NO_PKG_MANGLE=1
# Set SKIP_DIETLIBC to not build-depend on dietlibc-dev, which is universe.
export SKIP_DIETLIBC=yes
########

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_OS		?= $(shell dpkg-architecture -qDEB_HOST_OS)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)

# Allow distro-specific behaviour
DISTRO :=$(shell sed -ne '/DISTRIB_ID/s/.*=//p' /etc/lsb-release 2>/dev/null || echo Debian)
UTIL_LINUX_NG ?= yes

# find the version for the main package, from changelog file
MAIN_VERSION = $(shell head -n 1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')
# find versions for libraries going into their own packages, from their Makefile.in's,
# and sonames for all libs
COMERR_VERSION ?= $(shell grep ELF_VERSION lib/et/Makefile.in | cut '-d ' -f3)
COMERR_SOVERSION ?= $(shell grep ELF_SO_VERSION lib/et/Makefile.in | cut '-d ' -f3)
SS_VERSION ?= $(shell grep ELF_VERSION lib/ss/Makefile.in | cut '-d ' -f3)
SS_SOVERSION ?= $(shell grep ELF_SO_VERSION lib/ss/Makefile.in | cut '-d ' -f3)

ifneq ($(UTIL_LINUX_NG),yes)
UUID_VERSION ?= $(shell grep ELF_VERSION lib/uuid/Makefile.in | cut '-d ' -f3)
UUID_SOVERSION ?= $(shell grep ELF_SO_VERSION lib/uuid/Makefile.in | cut '-d ' -f3)

BLKID_VERSION ?= $(shell grep ELF_VERSION lib/blkid/Makefile.in | cut '-d ' -f3)
BLKID_SOVERSION ?= $(shell grep ELF_SO_VERSION lib/blkid/Makefile.in | cut '-d ' -f3)
endif

EXT2FS_SOVERSION ?= $(shell grep ELF_SO_VERSION lib/ext2fs/Makefile.in | cut '-d ' -f3)
E2P_SOVERSION ?= $(shell grep ELF_SO_VERSION lib/e2p/Makefile.in | cut '-d ' -f3)

package		?= e2fsprogs

topdir		?= $(shell pwd)
debdir		?= ${topdir}/debian
tmpdir		?= ${debdir}/tmp
udebdir		?= ${debdir}/e2fsprogs-udeb
ifneq ($(UTIL_LINUX_NG),yes)
blkidudebdir	?= ${debdir}/libblkid1-udeb
uuidudebdir	?= ${debdir}/libuuid1-udeb
endif
libcomerrdir	?= ${debdir}/libcomerr${COMERR_SOVERSION}
comerrdevdir	?= ${debdir}/comerr-dev
libcomerrdbgdir	?= ${debdir}/libcomerr2-dbg
libssdir	?= ${debdir}/libss${SS_SOVERSION}
ssdevdir	?= ${debdir}/ss-dev
libssdbgdir	?= ${debdir}/libss2-dbg
ifneq ($(UTIL_LINUX_NG),yes)
libblkiddir	?= ${debdir}/libblkid${BLKID_SOVERSION}
libblkiddevdir	?= ${debdir}/libblkid-dev
libblkiddbgdir	?= ${debdir}/libblkid1-dbg
libuuiddir	?= ${debdir}/libuuid${UUID_SOVERSION}
uuiddevdir	?= ${debdir}/uuid-dev
libuuiddbgdir	?= ${debdir}/libuuid1-dbg
uuidruntimedir	?= ${debdir}/uuid-runtime
uuidruntimedbgdir ?= ${debdir}/uuid-runtime-dbg
endif
libext2dir	?= ${debdir}/e2fslibs
libext2devdir	?= ${debdir}/e2fslibs-dev
libext2dbgdir	?= ${debdir}/e2fslibs-dbg
maindir		?= ${debdir}/e2fsprogs
e2fsckstaticdir	?= ${debdir}/e2fsck-static
debugdir	?= ${debdir}/e2fsprogs-dbg
stdbuilddir	?= ${debdir}/BUILD-STD
staticbuilddir	?= ${debdir}/BUILD-STATIC
mipsbuilddir	?= ${debdir}/BUILD-MIPS
mipsbuilddir64	?= ${debdir}/BUILD-MIPS-64
# docdir	?= ${maindir}/usr/share/doc/${package}
MANDIR		?= /usr/share/man
mandir		?= ${tmpdir}${MANDIR}

UDEB_NAME 	?= $(package)-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
UDEB_PRIORITY	?= $(shell grep '^Package: e2fsprogs-udeb' debian/control.in -A 10 | grep ^Priority: | cut -d ' ' -f 2)

ifneq ($(UTIL_LINUX_NG),yes)
BLKID_UDEB_NAME ?= libblkid1-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
BLKID_UDEB_PRIORITY ?= $(shell grep '^Package: libblkid1-udeb' debian/control.in -A 10 | grep ^Priority: | cut -d ' ' -f 2)

UUID_UDEB_NAME ?= libuuid1-udeb_$(MAIN_VERSION)_$(DEB_HOST_ARCH).udeb
UUID_UDEB_PRIORITY ?= $(shell grep '^Package: libuuid1-udeb' debian/control.in -A 10 | grep ^Priority: | cut -d ' ' -f 2)
endif

STAMPSDIR	?= debian/stampdir
AUTOTOOLSSTAMP	?= ${STAMPSDIR}/autotools-stamp
CFGSTDSTAMP	?= ${STAMPSDIR}/configure-std-stamp
CFGBFSTAMP	?= ${STAMPSDIR}/configure-bf-stamp
CFGSTATICSTAMP	?= ${STAMPSDIR}/configure-static-stamp
BUILDSTDSTAMP	?= ${STAMPSDIR}/build-std-stamp
BUILDBFSTAMP	?= ${STAMPSDIR}/build-bf-stamp
BUILDSTATICSTAMP ?=${STAMPSDIR}/build-static-stamp

INSTALL ?= install
INSTALL_PROGRAM ?= $(INSTALL) -p -o root -g root -m 0755

#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#INSTALL_PROGRAM += -s
#endif

ifneq (,$(findstring update-symbols,$(DEB_BUILD_OPTIONS)))
SYMBOL_LIBS := e2fslibs libcomerr2 libss2
ifneq ($(UTIL_LINUX_NG),yes)
SYMBOL_LIBS += libblkid1 libuuid1
endif
endif

DEFAULT_CFLAGS ?= -g -O2
DEFAULT_LDFLAGS ?= -Wl,-Bsymbolic-functions

CFLAGS ?= $(shell if dpkg-buildflags > /dev/null 2>&1 ; then \
	dpkg-buildflags --get CFLAGS; else echo $(DEFAULT_CFLAGS) ; fi)
LDFLAGS ?= $(shell if dpkg-buildflags > /dev/null 2>&1 ; then \
	dpkg-buildflags --get LDFLAGS; else echo $(DEFAULT_LDFLAGS) ; fi)
CPPFLAGS ?= $(shell if dpkg-buildflags > /dev/null 2>&1 ; then \
	dpkg-buildflags --get CPPFLAGS; fi)

ifeq (${DEB_HOST_ARCH},alpha)
CFLAGS += -DHAVE_NETINET_IN_H
else
CFLAGS += -D__NO_STRING_INLINES
endif

ifneq (${DEB_HOST_ARCH_OS},linux)
SKIP_STATIC = yes
endif

ifeq ($(SKIP_STATIC),yes)
BUILD_STATIC =
E2FSCK_STATIC = ${stdbuilddir}/e2fsck/e2fsck.static
else
BUILD_STATIC = build-static
E2FSCK_STATIC = ${staticbuilddir}/e2fsck/e2fsck.static
endif

ifneq ($(SKIP_UDEB),)
SKIP_BF ?= yes
endif

ifeq ($(SKIP_BF),yes)
BUILD_BF =
bfbuilddir	?= ${stdbuilddir}
else
BUILD_BF = build-bf
bfbuilddir	?= ${debdir}/BUILD-BF
endif

BF_CFLAGS = -Os -fomit-frame-pointer

ifeq ($(UTIL_LINUX_NG),yes)
UTIL_CONF_FLAGS ?= --disable-fsck --disable-libblkid \
			--disable-libuuid --disable-uuidd
else
UTIL_CONF_FLAGS ?= --enable-fsck --enable-libblkid \
			--enable-libuuid --enable-uuidd
endif

ifneq ($(strip $(DEB_HOST_MULTIARCH)),)
MULTIARCH_CONF ?= --with-multiarch=$(DEB_HOST_MULTIARCH)
# This doesn't work yet because gdb and lintian don't expect and/or
# don't work with /usr/lib/<triplet>/debug
#USRLIB = /usr/lib/$(DEB_HOST_MULTIARCH)
USRLIB ?= /usr/lib
else
USRLIB ?= /usr/lib
endif

BACKTRACE_CONF_FLAGS ?= $(shell if ${debdir}/scripts/test-backtrace ; then echo --disable-backtrace ; fi)

COMMON_CONF_FLAGS = --disable-e2initrd-helper --enable-quota \
	--infodir=/usr/share/info  --enable-symlink-install \
	$(MULTIARCH_CONF) $(BACKTRACE_CONF_FLAGS) $(UTIL_CONF_FLAGS)

STD_CONF_FLAGS ?= --enable-elf-shlibs

BF_CONF_FLAGS ?= --enable-elf-shlibs --disable-nls --disable-imager \
	--disable-testio-debug --disable-uuidd --disable-tls --disable-debugfs

STATIC_CONF_FLAGS ?= --disable-nls --disable-imager \
	--disable-uuidd --disable-tls

MIPS_NOPIC_CONF_FLAGS ?= --disable-nls --disable-imager \
	--disable-uuidd --disable-tls \
        --disable-resizer # --disable-debugfs

# we can't use those flags at configure time
MIPS_CFLAGS ?= -G 0 -fno-pic -mno-abicalls
MIPS_CFLAGS_64 ?= -mabi=64 -G 0 -fno-pic -mno-abicalls

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
ifneq (,$(findstring $(DEB_BUILD_ARCH),mips mipsel))
ismips=ismips
endif
endif

M4_ARGS=
ifeq ($(UTIL_LINUX_NG),yes)
M4_ARGS+=-DUTIL_LINUX_NG
else
M4_ARGS+=-UUTIL_LINUX_NG
endif

ifneq ($(strip $(DEB_HOST_MULTIARCH)),)
M4_ARGS+=-DDO_MULTIARCH
else
M4_ARGS+=-UDO_MULTIARCH
endif

ifneq ($(SKIP_DIETLIBC),)
M4_ARGS+=-UDIETLIBC
WITH_DIET_LIBC = 
else
M4_ARGS+=-DDIETLIBC
WITH_DIET_LIBC = --with-diet-libc --enable-libuuid --enable-libblkid
endif

ifneq ($(BUILD_E2FSCK_STATIC),no)
M4_ARGS+=-DE2FSCK_STATIC
else
M4_ARGS+=-UE2FSCK_STATIC

=== tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap
Depends: systemd, libpam-systemd, acl, locales
Restrictions: needs-root, isolation-container

Tests: logind
Depends: systemd, libpam-systemd, acl, locales, evemu-tools
Restrictions: needs-root, isolation-machine

Tests: bootchart
Depends: systemd, libpam-systemd, acl, locales
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: unit-config
Depends: systemd, python3
Restrictions: needs-root, allow-stderr

Tests: build-login
Depends: libsystemd-dev, build-essential, pkg-config
Restrictions: isolation-container

Tests: python3
Depends: python3-systemd

Tests: boot-and-services
Depends: systemd-sysv, lightdm, cron, network-manager, busybox-static, apparmor, python3
Restrictions: needs-root, isolation-machine, needs-recommends, breaks-testbed

Tests: ifupdown-hotplug
Depends: systemd-sysv, ifupdown
Restrictions: needs-root, isolation-machine

Tests: cmdline-upstart-boot
Depends: systemd-sysv, cron, network-manager, python3
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: display-managers
Depends: systemd-sysv, lightdm, python3
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: boot-smoke
Depends: systemd-sysv, network-manager, policykit-1, lightdm
Restrictions: needs-recommends, needs-root, isolation-container, allow-stderr

Tests: systemd-fsckd
Depends: systemd, systemd-sysv, python3, lightdm, plymouth
Restrictions: needs-root, isolation-machine, needs-recommends, breaks-testbed

=== watch ===
version=3
http://lambda-diode.com/software/wipe .*/wipe/wipe-(\d\S+)\.tar\.(?:bz2|gz|xz)
https://github.com/berke/wipe/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
